/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kxmain.h"
#include "debugwindowinformation.h"
#include "dpmsglobaldialog.h"
#include "gammadialogclass.h"
#include "advancedserverflagsclass.h"
#include "aboutdialogwindow.h"
#include "kbdoptionsdialog.h"
#include "mousedriverdialog.h"
#include "nvidiadriveroptionsbigdialog.h"
#include "advancedmonitordialogclass.h"
#include "wacomdrvdialogclass.h"
#include "vesadialogclass.h"
#include "nvdriverdialogclass.h"
#include "viadriverclass.h"
#include "helpboxinformation.h"

#include <qtooltip.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qtabwidget.h>
#include <qradiobutton.h>

#include <kpushbutton.h>
#include <kactivelabel.h>
#include <knuminput.h>
#include <klocale.h>
#include <kcombobox.h>
#include <klistbox.h>
#include <ksqueezedtextlabel.h>
#include <ktextbrowser.h>

///@todo LOCALE!!!!!


QString helpBoxInformation :: locRet(QString driverName)
{
QString toRet = i18n("No description yet.");
if (driverName == "nv")
{
toRet = 
"<font size=\"+4\">"
"<p align=\"center\"><b>nv - NVIDIA video driver</b></p><br>"
"</font>"
"<br>"
"<font size=\"+4\">Description</font><br><br>"

"<b>nv</b>  is an Xorg driver for NVIDIA video cards. The driver supports 2D acceleration and provides support for the following framebuffer depths: 8, 15, 16 (except Riva128) and 24. All visual types are supported for depth 8, TrueColor and DirectColor visuals are supported for the other depths with the exception of the Riva128 which only supports TrueColor in the higher depths.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The nv driver supports PCI and AGP video cards based on the following NVIDIA chips:<br><br>"
"<b>RIVA 128</b><br>NV3<br><b>RIVA TNT</b><br>NV4<br><b>RIVA TNT2</b><br>NV5<br><b>GeForce 256, QUADRO</b><br>NV10<br><b>GeForce2, QUADRO2</b><br>NV11 & NV15<br><b>GeForce3, QUADRO DCC</b><br>NV20<br><b>nForce, nForce2</b><br>NV1A, NV1F<br><b>GeForce4, QUADRO4</b><br>NV17, NV18, NV25, NV28<br><b>GeForce FX, QUADRO FX</b><br>NV30, NV31, NV34, NV35, NV36, NV37, NV38<br><b>GeForce 6XXX</b><br>NV40, NV41, NV43, NV44, NV45<br><b>GeForce 7XXX</b><br>G70<br><br>"

"<font size=\"+4\">Authors</font><br><br>"
"Authors include: David McKay, Jarno Paananen, Chas Inman, Dave Schmenk, Mark Vojkovich<br><br>"
"<font size=\"+4\">Copyright</font><br><br>"
"NOTICE TO USER: The source code is copyrighted under U.S. and international laws. Users and possessors of this source code are hereby granted a nonexclusive, royalty-free copyright license to use this code in individual and commercial software.<br><br>"

" Any use of this source code must include, in the user documentation and internal comments to the code, notices to the end user as follows:<br><br>"
" Copyright 1993-2003 NVIDIA, Corporation. All rights reserved.<br><br>"
" NVIDIA, CORPORATION MAKES NO REPRESENTATION ABOUT THE SUITABILITY OF THIS SOURCE CODE FOR ANY PURPOSE. IT IS PROVIDED \"AS IS\" WITHOUT EXPRESS OR IMPLIED WARRANTY OF ANY KIND. NVIDIA, CORPORATION DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOURCE CODE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, NONINFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL NVIDIA, CORPORATION BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOURCE CODE.<br"
" U.S. Government End Users. This source code is a \"commercial item,\" as that term is defined at 48 C.F.R. 2.101 (OCT 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (SEPT 1995) and is provided to the U.S. Government only as a commercial end item. Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (JUNE 1995), all U.S. Government End Users acquire the source code with only those rights set forth herein.";
}

if (driverName == "apm")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>apm - Alliance ProMotion video driver</b></p><br><br></font>"
"<font size=\"+4\">Description</font><br><br>"
"<b>apm</b>  is an Xorg driver for Alliance ProMotion video cards. The driver is accelerated for supported hardware/depth combination. It supports framebuffer depths of 8, 15, 16, 24 and 32 bits. For 6420, 6422, AT24, AT3D and AT25, all depths are fully accelerated except 24 bpp for which only screen to screen copy and rectangle filling is accelerated.<br><br>"


"<font size=\"+4\">Supported hardware</font><br><br>"

"The apm driver supports PCI and ISA video cards on the following Alliance ProMotion chipsets:<br>"
"<b>"
"ProMotion 6420<br>"
"ProMotion 6422<br>"
"AT24<br>"
"AT3D<br>"
"AT25<br>"
"</b>"

;

}

if (driverName == "chips")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>chips - Chips and Technologies video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>chips</b> is an Xorg driver for Chips and Technologies video processors. The majority of the Chips and Technologies chipsets are supported by this driver. In general the limitation on the capabilities of this driver are determined by the chipset on which it is run. Where possible, this driver provides full acceleration and supports the following depths: 1, 4, 8, 15, 16, 24 and on the latest chipsets an 8+16 overlay mode. All visual types are supported for depth 1, 4 and 8 and both TrueColor and DirectColor visuals are supported where possible. Multi-head configurations are supported on PCI or AGP buses.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"


"The <b>chips</b> driver supports video processors on most of the bus types currently available. The chipsets supported fall into one of three architectural classes. A <b>basic</b> architecture, the <b>WinGine</b> architecture and the newer <b>HiQV</b> architecture.<br><br>"
"<b>Basic Architecture</b><br>"
"The supported chipsets are ct65520, ct65525, ct65530, ct65535, ct65540, ct65545, ct65546 and ct65548<br>"
"Color depths 1, 4 and 8 are supported on all chipsets, while depths 15, 16 and 24 are supported only on the 65540, 65545, 65546 and 65548 chipsets. The driver is accelerated when used with the 65545, 65546 or 65548 chipsets, however the DirectColor visual is not available.<br><br>"
"<b>Wingine Architecture</b><br>"
"The supported chipsets are ct64200 and ct64300<br>"
"Color depths 1, 4 and 8 are supported on both chipsets, while depths 15, 16 and 24 are supported only on the 64300 chipsets. The driver is accelerated when used with the 64300 chipsets, however the DirectColor visual is not available.<br><br>"
"<b>HiQV Architecture</b><br>"
"The supported chipsets are ct65550, ct65554, ct65555, ct68554, ct69000 and ct69030<br>"
"Color depths 1, 4, 8, 15, 16, 24 and 8+16 are supported on all chipsets. The DirectColor visual is supported on all color depths except the 8+16 overlay mode. Full acceleration is supplied for all chipsets.<br>"

"<font size=\"+4\">Authors</font><br><br>"

"Authors include: Jon Block, Mike Hollick, Regis Cridlig, Nozomi Ytow, Egbert Eich, David Bateman and Xavier Ducoin<br>";

}

if (driverName == "cirrus")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>cirrus - Cirrus Logic video driver</b></p><br><br></font>"

"THIS MAN PAGE NEEDS TO BE FILLED IN.";
}

if (driverName == "cyrix")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>cyrix - Cyrix video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>cyrix</b> is an Xorg driver for the Cyrix MediaGX (now Natsemi Geode) series of processors when using the built in video.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The cyrix driver supports the MediaGX, MediaGXi and MediaGXm processors, as well as the Natsemi 'Geode' branded processors. It supports the CS5510, CS5520, CS5530 and CS5530A companion chips. The driver supports 4, 8, 15 and 16 bit deep displays with video compression and acceleration.<br><br>"
"The MediaGX run length compresses its shared framebuffer, for the best performance on a MediaGX machine pick backgrounds that compress well horizonally.<br><br>"

"<font size=\"+4\">Bugs</font><br><br>"

"This driver has not been tested on the original 5510 hardware for some considerable time.<br>"
"8bit mode does not currently work on the CS5510 with external RAMDAC.<br>"
"The 5530A video overlay facility is not currently supported. <br>"
"Xorg uses the MediaGX 'SoftVGA' interface. On a small number of boards this is buggy and may result in strange illegal instruction traps.<br>"
"Hardware cursors are not currently supported.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Authors include: Richard Hecker, Annius Groenink, Dirk Hohndel, The GGI Project, Alan Cox.<br>"

;
}

if (driverName == "fbdev")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>fbdev - video driver for framebuffer device</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>fbdev</b> is an Xorg driver for framebuffer devices. This is a non-accelerated driver, the following framebuffer depths are supported: 8, 15, 16, 24. All visual types are supported for depth 8, and TrueColor visual is supported for the other depths. Multi-head configurations are supported.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The <b>fbdev</b> driver supports all hardware where a framebuffer driver is available. fbdev uses the os-specific submodule fbdevhw(4) to talk to the kernel device driver. Currently a fbdevhw module is available for linux.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Authors include: Gerd Knorr, Michel Danzer, Geert Uytterhoeven<br>";
}

if (driverName == "glide")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>glide - Glide video driver</b></p><br><br></font>"

"<font size=\"+4\">Read this if nothing else</font><br><br>"

"This driver has a special requirement that needs to be fulfilled before it will work: You need Glide installed and you need to make a link for the libglide2x.so file. Read the second paragraph in the description below to find out how.<br><br>"

"<font size=\"+4\">Description</font><br><br>"
"<b>glide</b> is an Xorg driver for Glide capable video boards (such as 3Dfx Voodoo boards). This driver is mainly for Voodoo 1 and Voodoo 2 boards, later boards from 3Dfx have 2D built-in and you should preferably use a driver separate for those boards or the fbdev(4) driver. This driver is a bit special because Voodoo 1 and 2 boards are very much NOT made for running 2D graphics. Therefore, this driver uses no hardware acceleration (since there is no acceleration for 2D, only 3D). Instead it is implemented with the help of a \"shadow\" framebuffer that resides entirely in RAM. Selected portions of this shadow framebuffer are then copied out to the Voodoo board at the right time. Because of this, the speed of the driver is very dependent on the CPU. But since the CPU is nowadays actually rather fast at moving data, we get very good speed anyway, especially since the whole shadow framebuffer is in cached RAM.<br>"
"This driver requires that you have installed Glide. (Which can, at the time of this writing, be found at http://glide.xxedgexx.com/3DfxRPMS.html). Also, you need to tell Xorg where the libglide2x.so file is placed by making a soft link in the /usr/X11R6/lib/modules directory that points to the libglide2x.so file. For example (if your libglide2x.so file is in /usr/lib):<br>"
"# ln -s /usr/lib/libglide2x.so /usr/X11R6/lib/modules<br>"
"If you have installed /dev/3dfx, the driver will be able to turn on the MTRR registers (through the glide library) if you have a CPU with such registers (see http://glide.xxedgexx.com/MTRR.html). This will speed up copying data to the Voodoo board by as much as 2.7 times and is very noticeable since this driver copies a lot of data... Highly recommended.<br>"
"This driver supports 16 and 24 bit color modes. The 24 bit color mode uses a 32 bit framebuffer (it has no support for 24 bit packed-pixel framebuffers). Notice that the Voodoo boards can only display 16 bit color, but the shadow framebuffer can be run in 24 bit color. The point of supporting 24 bit mode is that this enables you to run in a multihead configuration with Xinerama together with another board that runs in real 24 bit color mode. (All boards must run the same color depth when you use Xinerama).<br>"
"Resolutions supported are: 640x480, 800x600, 960x720, 1024x768, 1280x1024 and 1600x1200. Note that not all modes will work on all Voodoo boards. It seems that Voodoo 2 boards support no higher than 1024x768 and Voodoo 1 boards can go to 800x600. If you see a message like this in the output from the server:<br>"
"(EE) GLIDE(0): grSstWinOpen returned ...<br>"
"<br>"
"Then you are probably trying to use a resolution that is supported by the driver but not supported by the hardware.<br>"
"Refresh rates supported are: 60Hz, 75Hz and 85Hz. The refresh rate used is derived from the normal mode line according to the following table:<br>"
"Mode-line refresh rate<br>"
"      Used refresh rate<br>"
"<br>"
"0-74 Hz<br>"
"      60 Hz<br>"
"<br>"
"74-84 Hz<br>"
"      75 Hz<br>"
"<br>"
"84- Hz<br>"
"      85 Hz<br>"
"<br>"

"Thus, if you use a modeline that for example has a 70Hz refresh rate you will only get a 60Hz refresh rate in actuality.<br><br>"



"<font size=\"+4\">Supported hardware</font><br><br>"
"The glide driver supports any board that can be used with Glide (such as 3Dfx Voodoo boards)<br><br>"


"<font size=\"+4\">Authors</font><br><br>"
"Author: Henrik Harmsen.<br>"




;
}



if (driverName == "glint")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>glint - GLINT/Permedia video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>glint</b> is an Xorg driver for 3Dlabs & Texas Instruments GLINT/Permedia based video cards. The driver is rather fully accelerated, and provides support for the following framebuffer depths: 8, 15 (may give bad results with FBDev support), 16, 24 (32 bpp recommended, 24 bpp has problems), 30, and an 8+24 overlay mode.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The glint driver supports 3Dlabs (GLINT MX, GLINT 500TX, GLINT 300SX, GLINT GAMMA, GLINT DELTA, GLINT GAMMA2, Permedia, Permedia 2, Permedia 2v, Permedia 3, R3, R4) and Texas Instruments (Permedia, Permedia 2) chips.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Authors include: Alan Hourihane, Dirk Hohndel, Stefan Dirsch, Michel Dänzer, Sven Luther<br>"

;
}

if (driverName == "i128")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>i128 - Number 9 I128 video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>i128</b> is an Xorg driver for Number 9 I128 video cards. The driver is accelerated and provides support for all versions of the I128 chip family, including the SGI flatpanel configuration. Multi-head configurations are supported.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The i128 driver supports PCI and AGP video cards based on the following I128 chips:<br>"
"<b>I128 rev 1</b><br>"
"(original)<br>"
"<b>I128-II</b><br>"
"<b>I128-T2R</b><br>"
"Ticket 2 Ride<br>"
"<b>I128-T2R4</b><br>"
"Ticket 2 Ride IV<br><br>"

"<font size=\"+4\">Authors</font><br><br><br>"

"Authors include: Robin Cutshaw (driver), Galen Brooks (flatpanel support).<br>"

;
}

if (driverName == "i740")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>i740 - Intel i740 video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"
"i740 is an Xorg driver for Intel i740 video cards. THIS MAN PAGE NEEDS TO BE FILLED IN.<br><br>"



;
}

if (driverName == "i810")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>i810 - Intel 8xx integrated graphics chipsets</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<br>i810</b> is an Xorg driver for Intel integrated graphics chipsets. The driver supports depths 8, 15, 16 and 24. All visual types are supported in depth 8. For the i810/i815 other depths support the TrueColor and DirectColor visuals. For the 830M and later, only the TrueColor visual is supported for depths greater than 8. The driver supports hardware accelerated 3D via the Direct Rendering Infrastructure (DRI), but only in depth 16 for the i810/i815 and depths 16 and 24 for the 830M and later.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"i810 supports the i810, i810-DC100, i810e, i815, 830M, 845G, 852GM, 855GM, 865G, 915G and 915GM chipsets.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

" Authors include: Keith Whitwell, and also Jonathan Bian, Matthew J Sottek, Jeff Hartmann, Mark Vojkovich, Alan Hourihane, H. J. Lu. 830M and 845G support reworked for XFree86 4.3 by David Dawes and Keith Whitwell. 852GM, 855GM, and 865G support added by David Dawes and Keith Whitwell. 915G and 915GM support added by Alan Hourihane and Keith Whitwell. Dual Head, Clone and lid status support added by Alan Hourihane.<br>"
;
}


if (driverName == "mga")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>mga - Matrox video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>mga</b> is an Xorg driver for Matrox video cards. The driver is fully accelerated, and provides support for the following framebuffer depths: 8, 15, 16, 24, and an 8+24 overlay mode. All visual types are supported for depth 8, and both TrueColor and DirectColor visuals are supported for the other depths except 8+24 mode which supports PseudoColor, GrayScale and TrueColor. Multi-card configurations are supported. XVideo is supported on G200 and newer systems, with either TexturedVideo or video overlay. The second head of dual-head cards is supported for the G450 and G550. Support for the second head on G400 cards requires a binary-only \"mga_hal\" module that is available from Matrox <http://www.matrox.com >, and may be on the CD supplied with the card. That module also provides various other enhancements, and may be necessary to use the DVI (digital) output on the G550 (and other cards).<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The <b>mga</b> driver supports PCI and AGP video cards based on the following Matrox chips. They are listed in approximate chronological order of production (with the most recent chipsets listed last), so consult this list when you are unsure whether your card is meant when references are made to oqG200 and latercq chips, for example.<br>"
"MGA2064W<br>"
"MGA1064SG<br>"
"Mystique<br>"
"MGA2164W<br>"
"Millennium II<br>"
"G100<br>"
"Productiva G100<br>"
"G200<br>"
"Millennium G200 and Mystique G200<br>"
"G400<br>"
"Millenium G400, Millenium G400 MAX, Millenium G450, and Marvel G450 eTV<br>"
"G550<br>"
"Millenium G550 and Millenium G550 Dual DV<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Authors include: Radoslaw Kapitan, Mark Vojkovich, and also David Dawes, Guy Desbief, Dirk Hohndel, Doug Merritt, Andrew E. Mileski, Andrew van der Stock, Leonard N. Zubkoff, Andrew C. Aitchison.<br>"

;

}

if (driverName == "neomagic")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>neomagic - Neomagic video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>neomagic</b> is an Xorg driver for the Neomagic graphics chipsets found in many laptop computers.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"<b>neomagic</b> supports the following chipsets:<br>"
"MagicGraph 128 (NM2070)<br>"
"MagicGraph 128V (NM2090)<br>"
"MagicGraph 128ZV (NM2093)<br>"
"MagicGraph 128ZV+ (NM2097)<br>"
"MagicGraph 128XD (NM2160)<br>"
"MagicGraph 256AV (NM2200)<br>"
"MagicGraph 256AV+ (NM2230)<br>"
"MagicGraph 256ZX (NM2360)<br>"
"MagicGraph 256XL+ (NM2380)<br><br>"

"The driver supports depths 8, 15, 16 and 24 for all chipsets except the NM2070 which does not support depth 24. All depths are accelerated except for depth 24 which is only accelerated on NM2200 and newer models. All visuals are supported in depth 8. TrueColor and DirectColor visuals are supported in the other depths.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"


"Authors include: Jens Owen, Kevin E. Martin, and also Egbert Eich, Mark Vojkovich, Alan Hourihane.<br>"

;
}

if (driverName == "newport")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>newport - Newport video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>newport</b> is an Xorg driver for the SGI Indy's and Indigo2's newport video cards.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The <b>newport</b> driver supports the Newport (also called XL) cards found in SGI Indys and Indigo2s. It supports both the 8bit and 24bit versions of the Newport.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Authors: Guido Gunther agx@sigxcpu.org"
;
}

if (driverName == "nsc")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>nsc - Nsc video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>nsc</b> is an Xorg driver for National Semiconductors GEODE processor family. It uses the DURANGO kit provided by National Semiconductor. The driver is accelerated, and provides support for the following framebuffer depths: 8, 16 and 24.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The nsc driver supports GXLV (5530 companion chip), SC1200, SC1400 and GX2 (5535 companion chip).<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Author: Sarma V. Kolluru<br>"

;
}


if (driverName == "palmax")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>palmax - Palmax (TR88L803) touchscreen driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>palmax</b> is an Xorg input driver for the Palmax PD1000/PD1100<br>"
"The palmax driver functions as a pointer input device, and is normally used as the X server's core pointer. It supports positioning and mouse buttons using the touchscreen display and lid buttons on the Palmax machines.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"Palmax PD1000, Palmax PD1100. In theory also any other system using a TR88L803 wired to a serial port.<br><br>"

"<font size=\"+4\">Bugs</font><br><br>"

"The driver has been tested on the Palmax systems, the defaults reflect the Palmax hardware and should work out of the box. No testing has been done on other systems using the same digitizer.<br>"
"Support for a double-tap menu button option would be nice.<br>"
"<br>The smoothing algorithm would benefit from real mathematics.<br>"
"Xorg needs a nice calibration tool.<br><br>"


"<font size=\"+4\">Authors</font><br><br>"

"Authors include... Alan Cox<br>"

;
}


if (driverName == "r128")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>r128 - ATI Rage 128 video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>r128</b> is an Xorg driver for ATI Rage 128 based video cards. It contains full support for 8, 15, 16 and 24 bit pixel depths, hardware acceleration of drawing primitives, hardware cursor, video modes up to 1800x1440 @ 70Hz, doublescan modes (e.g., 320x200 and 320x240), gamma correction at all pixel depths, a fully programming dot clock and robust text mode restoration for VT switching. Dualhead is supported on M3/M4 mobile chips.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The r128 driver supports all ATI Rage 128 based video cards including the Rage Fury AGP 32MB, the XPERT 128 AGP 16MB and the XPERT 99 AGP 8MB.<br><br>"


"<font size=\"+4\">Authors</font><br><br>"

"Rickard E. (Rik) Faith   faith@precisioninsight.com<br>"
"Kevin E. Martin          kevin@precisioninsight.com<br>"
;
}



if (driverName == "radeon")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>radeon - ATI RADEON video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>radeon</b> is a Xorg driver for ATI RADEON based video cards. It contains full support for 8, 15, 16 and 24 bit pixel depths, dual-head setup, flat panel, hardware 2D acceleration, hardware 3D acceleration (except R300 and R400 series cards), hardware cursor, XV extension, Xinerama extension.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"


"<b>R100</b><br>"
"Radeon 7200<br>"
"<b>RV100</b><br>"
"Radeon 7000(VE), M6<br>"
"<b>RS100</b><br>"
"Radeon IGP320(M)<br>"
"<b>RV200</b><br>"
"Radeon 7500, M7, FireGL 7800<br>"
"<b>RS200</b><br>"
"Radeon IGP330(M)/IGP340(M)<br>"
"<b>RS250</b><br>"
"Radeon Mobility 7000 IGP<br>"
"<b>R200</b><br>"
"Radeon 8500, 9100, FireGL 8800/8700<br>"
"<b>RV250</b><br>"
"Radeon 9000PRO/9000, M9<br>"
"<b>RS300</b><br>"
"Radeon 9100 IGP<br>"
"<b>RS350</b><br>"
"Radeon 9200 IGP<br>"
"<b>RS400</b><br>"
"Radeon XPRESS 200/200M IGP<br>"
"<b>RV280</b><br>"
"Radeon 9200PRO/9200/9200SE, M9+<br>"
"<b>R300</b><br>"
"Radeon 9700PRO/9700/9500PRO/9500/9600TX, FireGL X1/Z1 (2D only)<br>"
"<b>R350</b><br>"
"Radeon 9800PRO/9800SE/9800, FireGL X2 (2D only)<br>"
"<b>R360</b><br>"
"Radeon 9800XT (2d only)<br>"
"<b>RV350</b><br>"
"Radeon 9600PRO/9600SE/9600, M10/M11, FireGL T2 (2D only)<br>"
"<b>RV360</b><br>"
"Radeon 9600XT (2d only)<br>"
"<b>RV370</b><br>"
"Radeon X300, M22 (2d only)<br>"
"<b>RV380</b><br>"
"Radeon X600, M24 (2d only)<br>"
"<b>RV410</b><br>"
"Radeon X700, M26 PCIE (2d only)<br>"
"<b>R420</b><br>"
"Radeon X800 AGP (2d only)<br>"
"<b>R423/R430</b><br>"
"Radeon X800, M28 PCIE (2d only)<br>"
"<b>R480/R481</b><br>"
"Radeon X850 PCIE/AGP (2d only)<br>"

;
}


if (driverName == "rendition")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>rendition - Rendition video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>rendition</b> is an Xorg driver for Rendition/Micron based video cards. The driver supports following framebuffer depths: 8, 15 (Verite V1000 only), 16 and 24. Acceleration and multi-head configurations are not supported yet, but are work in progress.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The rendition driver supports PCI and AGP video cards based on the following Rendition/Micron chips:<br>"
"<b>V1000</b><br>"
"Verite V1000 based cards.<br>"
"<b>V2100</b><br>"
"Verite V2100 based cards. Diamond Stealth II S220 is the only known such card.<br>"
"<b>V2200</b><br>"
"Verite V2200 based cards<br><br>"


"<font size=\"+4\">Authors</font><br><br>"


"Authors include: Marc Langenbach, Dejan Ilic<br>"

;
}


if (driverName == "s3virge")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>s3virge - S3 ViRGE video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>s3virge</b> is an Xorg driver for S3 based video cards. The driver is fully accelerated, and provides support for the following framebuffer depths: 8, 15, 16, and 24. All visual types are supported for depth 8, and TrueColor visuals are supported for the other depths. XVideo hardware up scaling is supported in depth 16 and 24 on the DX, GX, GX2, MX, MX+, and Trio3D/2X. Doublescan modes are supported and tested in depth 8 and 16 on DX, but disable XVideo. Doublescan modes on other chipsets are untested.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"


"The s3virge driver supports PCI and AGP video cards based on the following S3 chips:<br>"
"<b>ViRGE</b><br>"
"86C325<br>"
"<b>ViRGE VX</b><br>"
"86C988<br>"
"<b>ViRGE DX</b><br>"
"86C375<br>"
"<b>ViRGE GX</b><br>"
"86C385<br>"
"<b>ViRGE GX2</b><br>"
"86C357<br>"
"<b>ViRGE MX</b><br>"
"86C260<br>"
"<b>ViRGE MX+</b><br>"
"86C280<br>"
"<b>Trio 3D</b><br>"
"86C365<br>"
"<b>Trio 3D/2X</b><br>"
"86C362, 86C368<br><br>"


"<font size=\"+4\">Known bugs</font><br><br>"

"The VideoRam generic driver parameter is presently ignored by the s3virge driver. On PPC this is reported to cause problems for 2M cards, because they may autodetect as 4M.<br><br>"

"<font size=\"+4\">Support</font><br><br>"

"For assistance with this driver, or Xorg in general, check the web site at http://www.x.org. If you find a problem with Xorg or have a question not answered in the FAQ please use our bug report form available on the web site. When reporting problems with the driver send as much detail as possible, including chipset type, a server output log, and operating system specifics.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Kevin Brosius, Matt Grossman, Harald Koenig, Sebastien Marineau, Mark Vojkovich.<br>"
;
}


if (driverName == "savage")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>savage - S3 Savage video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"


"savage  is an Xorg driver for the S3 Savage family video accelerator chips. 2D, 3D, and Xv acceleration is supported on all chips except the Savage2000 (2D only). Dualhead operation is supported on MX, IX, and SuperSavage chips. The savage driver supports PCI and AGP boards with the following chips:<br>"
"<b>Savage3D</b><br>"
"(8a20 and 8a21) (2D, 3D)<br>"
"<b>Savage4</b><br>"
"(8a22) (2D, 3D)<br>"
"<b>Savage2000</b><br>"
"(9102) (2D only)<br>"
"<b>Savage/MX</b><br>"
"(8c10 and 8c11) (2D, 3D, Dualhead)<br>"
"<b>Savage/IX</b><br>"
"(8c12 and 8c13) (2D, 3D, Dualhead)<br>"
"<b>SuperSavage/MX</b><br>"
"(8c22, 8c24, and 8c26) (2D, 3D, Dualhead)<br>"
"<b>SuperSavage/IX</b><br>"
"(8c2a, 8c2b, 8c2c, 8c2d, 8c2e, and 8c2f) (2D, 3D, Dualhead)<br>"
"<b>ProSavage PM133</b><br>"
"(8a25) (2D, 3D)<br>"
"<b>ProSavage KM133</b><br>"
"(8a26) (2D, 3D)<br>"
"<b>Twister (ProSavage PN133)</b><br>"
"(8d01) (2D, 3D)<br>"
"<b>TwisterK (ProSavage KN133)</b><br>"
"(8d02) (2D, 3D)<br>"
"<b>ProSavage DDR</b><br>"
"(8d03) (2D, 3D)<br>"
"<b>ProSavage DDR-K</b><br>"
"(8d04) (2D, 3D)<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Authors include Tim Roberts (timr@probo.com) and Ani Joshi (ajoshi@unixbox.com) for this version, and Tim Roberts and S. Marineau for the original driver from which this was derived.<br>"


;
}

if (driverName == "siliconmotion")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>siliconmotion - Silicon Motion video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>siliconmotion</b> is an Xorg driver for Silicon Motion based video cards. The driver is fully accelerated, and provides support for the following framebuffer depths: 8, 16, and 24. All visual types are supported for depth 8, and TrueColor visuals are supported for the other depths.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The siliconmotion driver supports PCI and AGP video cards based on the following Silicon Motion chips:<br>"
"<b>Lynx</b><br>"
"SM910<br>"
"<b>LynxE</b><br>"
"SM810<br>"
"<b>Lynx3D</b><br>"
"SM820<br>"
"<b>LynxEM</b><br>"
"SM710<br>"
"<b>LynxEM+</b><br>"
"SM712<br>"
"<b>Lynx3DM</b><br>"
"SM720<br>"
"<b>Cougar3DR</b><br>"
"SM730<br><br>"

"<font size=\"+4\">Support</font><br><br>"


"For assistance with this driver, or Xorg in general, check the Xorg web site at http://www.x.org. If you find a problem with Xorg or have a question not answered in the FAQ please use our bug report form available on the web site. When reporting problems with the driver send as much detail as possible, including chipset type, a server output log, and operating system specifics.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"


"Kevin Brosius, Matt Grossman, Harald Koenig, Sebastien Marineau, Mark Vojkovich, Frido Garritsen, Corvin Zahn.<br>"

;
}


if (driverName == "sis")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>sis - SiS and XGI video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>sis</b> is an Xorg driver for SiS (Silicon Integrated Systems) and XGI video chips. The driver is accelerated and provides support for colordepths of 8, 16 and 24 bpp. XVideo, Render and other extensions are supported as well.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The sis driver supports PCI, AGP and PCIe video cards based on the following chipsets:<br>"
"SiS5597/5598 SiS530/620 SiS6326/AGP/DVD SiS300/305 SiS540 SiS630/730 SiS315/E/H/PRO SiS550/551/552 SiS650/651/661/741 SiS330 (Xabre) SiS760/761 XGI Volari V3/V5/V8 XGI Volari Z7<br>"
"In the following text, the following terms are used:<br>"
"old series for SiS5597/5598, 530/620 and 6326/AGP/DVD<br>"
"300 series for SiS300/305, 540 and 630/730<br>"
"315/330/340 series for SiS315, 55x, 330, 661/741/76x (plus M, FX, MX, GX variants thereof), 340 and all XGI chips.<br><br>"


"<font size=\"+4\">See also</font><br><br>"

"<a href=\"http://www.winischhofer.at/linuxsisvga.shtml\">http://www.winischhofer.at/linuxsisvga.shtml</a> for more information and updates<br><br>"

"<font size=\"+4\">Authors</font><br><br>"


"Author: Thomas Winischhofer. Formerly based on code by Alan Hourihane, Mike Chapman, Juanjo Santamarta, Mitani Hiroshi, David Thomas, Sung-Ching Lin, Ademar Reis.<br>"



;}

if (driverName == "sisusb")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>sisusb - SiS USB video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>sisusb</b> is an Xorg driver for SiS (Silicon Integrated Systems) video chips that are connected via a Net2280-based USB dongle. The driver is not accelerated, but provides support for colordepths of 8, 16 and 24 bpp as well as Render and other extensions.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The sisusb driver supports USB video cards based on the following chipsets:<br>"
"<b>SiS315E/PRO</b><br>"
"The SiS315E/PRO features two CRT controllers. However, in its USB version, only the first output, referred to as \"CRT1\", is being used.<br><br>"

"<font size=\"+4\">See also</font><br><br>"

"<a href=\"http://www.winischhofer.at/linuxsisvga.shtml\">http://www.winischhofer.at/linuxsisvga.shtml</a> for more information and updates<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Author: Thomas Winischhofer<br>"



;}

if (driverName == "sunbw2")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>sunbw2 - BW2 video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>sunbw2</b> is an Xorg driver for Sun BW2 video cards. THIS MAN PAGE NEEDS TO BE FILLED IN.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"
"Authors include: Jakub Jelinek <jakub@redhat.com><br>"


;}
if (driverName == "suncg14")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>suncg14 - CG14 video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>suncg14</b> is an Xorg driver for Sun CG14 video cards. THIS MAN PAGE NEEDS TO BE FILLED IN.<br><br>"
"<font size=\"+4\">Authors</font><br><br>"
"Authors include: Jakub Jelinek <jakub@redhat.com><br>"
;}

if (driverName == "suncg3")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>suncg3 - CG3 video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>suncg3</b> is an Xorg driver for Sun CG3 video cards. THIS MAN PAGE NEEDS TO BE FILLED IN.<br><br>"
"<font size=\"+4\">Authors</font><br><br>"
"Authors include: Jakub Jelinek <jakub@redhat.com><br>"
;}


if (driverName == "suncg6")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>suncg6 - GX/Turbo GX video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>suncg6</b> is an Xorg driver for Sun GX and Turbo GX (also known as cgsix) video cards. THIS MAN PAGE NEEDS TO BE FILLED IN.<br><br>"


"<font size=\"+4\">Authors</font><br><br>"
"Authors include: Jakub Jelinek <jakub@redhat.com><br>"


;}

if (driverName == "sunffb")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>sunffb - SUNFFB video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>sunffb</b> is an Xorg driver for Sun Creator, Creator 3D and Elite 3D video cards. THIS MAN PAGE NEEDS TO BE FILLED IN.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"
"Authors include: Jakub Jelinek <jakub@redhat.com>, David S. Miller <davem@redhat.com>, Michal Rehacek <majkl@iname.com><br>"

;}


if (driverName == "sunleo")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>sunleo - Leo video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>leo</b> is an Xorg driver for Sun Leo (ZX) video cards.<br>"
"Also known as the ZX or T(urbo)ZX, Leo is a 24 bit accelerated 3D graphics card. Both cards are double-width, but the TZX also requires extra cooling in the form of an additional double-width fan card, so effectively takes up 4 SBus slots.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The leo driver supports all Sun stations that include a Leo chipset:<br>"
"<b>Workstations:</b><br>"
"Sun 4/15, 4/30, 4/75<br>"
"SPARCstation 5, 10, 20<br>"
"Ultra 1, 1E, 2<br>"
"<b>Servers:</b><br>"
"SPARCserver 1000,<br>"
"SPARCcenter 2000<br><br>"

"You must set \"DefaultDepth\" to \"32\" in the Screen Section.<br>"


;}

if (driverName == "suntcx")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>suntcx - TCX video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>sunffb</b> is an Xorg driver for Sun Creator, Creator 3D and Elite 3D video cards. THIS MAN PAGE NEEDS TO BE FILLED IN.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"
"Authors include: Jakub Jelinek <jakub@redhat.com>, David S. Miller <davem@redhat.com>, Michal Rehacek <majkl@iname.com><br>"

;}

if (driverName == "tdfx")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>tdfx - 3Dfx video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>tdfx</b> is an Xorg driver for 3Dfx video cards.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The <b>tdfx</b> driver supports Voodoo Banshee, Voodoo3, Voodoo4 and Voodoo5 cards."


;}


if (driverName == "trident")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>trident - Trident video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>trident</b> is an Xorg driver for Trident video cards. The driver is accelerated, and provides support for the following framebuffer depths: 1, 4, 8, 15, 16, and 24. Multi-head configurations are supported. The XvImage extension is supported on TGUI96xx and greater cards.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The trident driver supports PCI,AGP and ISA video cards based on the following Trident chips:<br>"
"<b>Blade</b><br"
"Blade3D, CyberBlade series i1, i7 (DSTN), i1, i1 (DSTN), Ai1, Ai1 (DSTN), CyberBlade/e4, CyberBladeXP, CyberBladeAi1/XP, BladeXP<br>"
"<b>Image</b><br>"
"3DImage975, 3DImage985, Cyber9520, Cyber9525, Cyber9397, Cyber9397DVD<br>"
"<b>ProVidia</b><br>"
"9682, 9685, Cyber9382, Cyber9385, Cyber9388<br>"
"<b>TGUI</b><br>"
"9440AGi, 9660, 9680<br>"
"<b>ISA/VLBus</b><br>"
"8900C, 8900D, 9000, 9200CXr, Cyber9320, 9400CXi, 9440AGi These cards have been ported but need further testing and may not work.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Author: Alan Hourihane<br>"


;}


if (driverName == "tseng")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>tseng - Tseng Labs video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>tseng</b> is an Xorg driver for Tseng Labs video cards. THIS MAN PAGE NEEDS TO BE FILLED IN.<br><br>"

;}

if (driverName == "vesa")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>vesa - Generic VESA video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>vesa</b> is an Xorg driver for generic VESA video cards. It can drive most VESA-compatible video cards, but only makes use of the basic standard VESA core that is common to these cards. The driver supports depths 8, 15 16 and 24.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The <b>vesa</b> driver supports most VESA-compatible video cards. There are some known exceptions, and those should be listed here.<br><br>"


"<font size=\"+4\">Authors</font><br><br>"

"Authors include: Paulo Ce'sar Pereira de Andrade.<br>"
;}

if (driverName == "vga")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>vga - Generic VGA video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>vga</b> is an Xorg driver for generic VGA video cards. It can drive most VGA-compatible video cards, but only makes use of the basic standard VGA core that is common to these cards. The driver supports depths 1, 4 and 8. All relevant visual types are supported at each depth. Multi-head configurations are supported in combination with some other drivers, but only when the vga driver is driving the primary head.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"The <b>vga</b> driver supports most VGA-compatible video cards. There are some known exceptions, and those should be listed here.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"
"Authors include: Marc La France, David Dawes, and Dirk Hohndel.<br>"

;}


if (driverName == "via")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>via - VIA unichrome graphics driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>via</b> is an Xorg driver for VIA chipsets with onboard unichrome graphics.<br>"
"The via driver supports the VIA CLE266, KM400/KN400 chipsets, including 2D acceleration and the Xv video overlay extensions. Flat panel, TV and VGA outputs are supported.<br>"
"K8M800/K8N800, PM8X0 and CN400 support is still under development.<br>"
"Direct rendering 3D is available using experimental drivers in Mesa, www.mesa3d.org. Also there is an XvMC client library for hardware MPEG1 / MPEG2 decoding acceleration available on the CLE266 and K8M/N800 chipsets that uses the Direct Rendering Infrastructure, DRI. The XvMC client library implements a nonstandard \"VLD\" extension to the XvMC standard. The current Direct Rendering Manager Linux kernel module is available at dri.sourceforge.net.<br><br>"


"<font size=\"+4\">Supported TV Encoders</font><br><br>"

"Unichromes tend to be paired with several different TV Encoders.<br>"
"<b>VIA Technologies VT1621</b><br>"
"Untested as no combination with Unichrome is known or available. Supports the following normal modes: \"640x480\" and \"800x600\". Use \"640x480Over\" and \"800x600Over\" for vertical overscan. These modes are made available by the driver and modelines provided in xorg.conf will be ignored.<br>"
"<b>VIA Technologies VT1622, VT1622A, VT1623</b><br>"
"Supports the following modes: \"640x480\", \"800x600\", \"1024x768\", \"848x480\", \"720x480\" (NTSC only) and \"720x576\" (PAL only). Use \"640x480Over\", \"800x600Over\", \"1024x768Over\", \"848x480Over\", \"720x480Over\" (NTSC) and \"720x576Over\" (PAL) for vertical overscan. The modes \"720x480Noscale\" (NTSC VT1622 only) and \"720x576Noscale\" (PAL VT1622 and VT1622a only) provide cleaner TV output (unscaled with only minimal overscan). These modes are made available by the driver and modelines provided in xorg.conf will be ignored.<br><br>"

"<font size=\"+4\">Bugs</font><br><br>"

"The driver is not fully 64 bit clean. In particular, 3D acceleration, XvMC and VBEModes do not work properly in 64-bit mode.<br>"



;}


if (driverName == "vmware")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>vmware - VMware SVGA video driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>vmware</b> is an Xorg driver for VMware virtual video cards.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Copyright (c) 1999-2005 VMware, Inc.<br."

;}


if (driverName == "kbd")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>kbd - Keyboard input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>kbd</b> is an Xorg input driver for keyboards. The driver supports the standard OS-provided keyboard interface, but these are currently only available to this driver module for Linux, BSD, and Solaris. This driver is planned to replace the built-in <b>keyboard</b> driver in a future release of Xorg.<br>"
"The <b>kbd</b> driver functions as a keyboard input device, and may be used as the X server's core keyboard.<br><br>"



;}


if (driverName == "keyboard")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>keyboard - Keyboard input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>keyboard</b> is an Xorg input driver for keyboards. The driver supports the standard OS-provided keyboard interface.<br>"
"The <b>keyboard</b> driver functions as a keyboard input device, and may be used as the X server's core keyboard.<br>"
"This driver is built-in to the core X server, and multiple instances are not supported. A loadable driver, kbd, is available, and is planned to replace the keyboard driver in a future release of the Xorg server.<br><br>"


;}
if (driverName == "mouse")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>mouse - Mouse input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>mouse</b> is an Xorg input driver for mice. The driver supports most available mouse types and interfaces. USB mice are only supported on some OSs, and the level of support for PS/2 mice depends on the OS.<br>"
"The <b>mouse</b> driver functions as a pointer input device, and may be used as the X server's core pointer. Multiple mice are supported by multiple instances of this driver.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

" There is a detailed list of hardware that the mouse driver supports in the README.mouse document. This can be found in /usr/X11R6/lib/X11/doc/, or online at <a href=\"http://www.x.org/current/mouse.html\">http://www.x.org/current/mouse.html</a>.<br><br>"

;}

if (driverName == "penmount")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>penmount - PenMount input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>penmount</b> is an Xorg input driver for PenMount devices...<br>"
"The penmount driver functions as a pointer input device, and may be used as the X server's core pointer. THIS MAN PAGE NEEDS TO BE FILLED IN.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"What is supported...<br><br>"


;}


if (driverName == "mutouch")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>mutouch - Microtouch input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>mutouch</b> is an Xorg input driver for Microtouch devices...<br>"
"The mutouch driver functions as a pointer input device, and may be used as the X server's core pointer. THIS MAN PAGE NEEDS TO BE FILLED IN.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Authors include... Patrick Lecoanet<br>"

;}

if (driverName == "tek4957")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>tek4957 - Tektronix 4957 input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>tek4957</b> is an Xorg input driver for the Tektronix 4957 tablet.<br>"
"The <b>tek4957</b> driver functions as a pointer input device, and may be used as the X server's core pointer.<br><br>"

"<font size=\"+4\">Bugs / limitations</font><br><br>"

"Currently, only \"Absolute\" mode is supported ( Sorry )<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Olivier DANET &lt;<a href=\"mailto:odanet@caramail.com\">odanet@caramail.com</a>&gt;<br>"


;}


if (driverName == "void")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>void - null input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>void</b> is an dummy/null Xorg input driver. It doesn't connect to any physical device, and it never delivers any events. It functions as both a pointer and keyboard device, and may be used as X server's core pointer and/or core keyboard. It's purpose is to allow the X server to operate without a core pointer and/or core keyboard.<br><br>"

;}


if (driverName == "aiptek")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>aiptek - Aiptek USB Digital Tablet driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>aiptek</b> is an Xorg input driver for Aiptek HyperPen USB-based tablet devices. This driver only supports the USB protocol, and only under Linux; for RS-232C-based HyperPens, please see the \"hyperpen\" driver.<br>"


"This driver supports the Aiptek HyperPen 4000U, 5000U, 6000U, 8000U and 12000U USB-based input tablet on some Linux platforms.<br><br>"

"The aiptek driver functions as a pointer input device, and may be used as the X server's core pointer.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Bryan W. Headley &lt;<a href=\"mailto:bheadley@earthlink.net\">bheadley@earthlink.net</a>&gt;<br>";}

if (driverName == "dmc")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>dmc - DMC input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>dmc</b> is an Xorg input driver for DMC FIT10-controller...<br>"
"The dmc driver functions as a pointer input device, and may be used as the X server's core pointer. THIS MAN PAGE NEEDS TO BE FILLED IN.<br><br>"


;}


if (driverName == "dynapro")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>dynapro - Dynapro input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>dynapro</b> is an Xorg input driver for Dynapro devices...<br>"
"The dynapro driver functions as a pointer input device, and may be used as the X server's core pointer. THIS MAN PAGE NEEDS TO BE FILLED IN.<br><br>"

;}

if (driverName == "elographics")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>elographics - Elographics input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>elographics</b> is an Xorg input driver for Elographics touchscreen devices.<br>"
"The elographics driver functions as a pointer input device, and may be used as the X server's core pointer.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"E271-2210 and E271-2200 devices are supported. E281-2310 and compatible devices are supported with some features unavailable.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Authors include: Patrick Lecoanet<br>"
"This manpage was written by Lee Maguire on behalf of the Debian Project.<br>"


;}


if (driverName == "fpit")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>fpit - Fujitsu Stylistic input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>fpit</b> is an Xorg input driver for Fujitsu Stylistic Tablet PCs.<br>"
"The <b>fpit</b> driver functions as a pointer input device, and may be used as the X server's core pointer.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"This driver supports the touchscreen of the Stylistic LT and (with special options) of the Stylistic 500, 1000 and 2300.<br>"
"Under Linux the Fujitsus serial port is not, by default, detected. Therefore the following must be added to one of your start-up scripts. (Either one of the X scripts, or to rc.local or similar).<br>"
"<b>setserial /dev/ttyS3 autoconfig</b><br>"
"<b>setserial /dev/ttyS3 IRQ 15 baud_base 115200 port 0xfce8</b><br>"
"This driver now supports Stylistic 3400 (and possibly other passive-pen systems) with a special \"Passive\" paramter. Try this serial configuration for the 3400:<br>"
"<b>setserial /dev/ttyS3 autoconfig</b><br>"
"<b>setserial /dev/ttyS3 uart 16450 irq 5 port 0xfd68</b><br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Original FPIT port: Rob Tsuk &lt;<a href=\"mailto:rob@tsuk.com\">rob@tsuk.com</a>&gt; and John Apfelbaum &lt;<a href=\"johnapf@linuxslate.com\">johnapf@linuxslate.com</a>&gt;<br>"
"X4 Port: Richard Miller-Smith &lt;<a href=\"richard.miller-smith@philips.com\">richard.miller-smith@philips.com</a>&gt;, based on Elographics code from: Patrick Lecoanet<br>"
"X4.2 Cleanup: Alan Cox<br>"


;}



if (driverName == "js_x")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>js_x - JamStudio input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>js_x</b> is an Xorg input driver for JamStudio devices.<br>"
"The <b>js_x</b> driver functions as a pointer input device, and may be used as the X server's core pointer.<br><br>"

"<font size=\"+4\">Supported hardware</font><br><br>"

"This driver supports the KB-Gear JamStudio pentablet. This X-Input driver should work on any OS supporting the hiddev raw USB HID driver.<br><br>"

"<font size=\"+4\">Authors</font><br><br>"

"Brian Goines &lt;<a href=\"mailto:bgoines78@comcast.net\">bgoines78@comcast.net</a>&gt;<br>"

;}


if (driverName == "wacom")
{
toRet = 
"<font size=\"+4\"><p align=\"center\"><b>wacom - Wacom input driver</b></p><br><br></font>"

"<font size=\"+4\">Description</font><br><br>"

"<b>wacom</b> is an Xorg input driver for Wacom devices.<br>"
"The <b>wacom</b> driver functions as a pointer input device, and may be used as the X server's core pointer.<br><br>"


"<font size=\"+4\">Supported hardware</font><br><br>"

"This driver supports the Wacom IV and Wacom V protocols. Preliminary support is available for USB devices on some Linux platforms.<br><br>"


"<font size=\"+4\">Authors</font><br><br>"

"Frederic Lepied &lt;<a href=\"mailto:lepied@xfree86.org\">lepied@xfree86.org</a>&gt;"

;}






toRet = toRet.append("<br><br>Information form <a href=\"http://ftp.x.org/pub/X11R7.0/doc/html/\">X.org documentation page</a>.");
return toRet;
}



void viaDriverClass :: setLocale()
{
    setCaption( tr2i18n( "VIA Driver settings" ) );
    groupBox5->setTitle( tr2i18n( "Active Devices" ) );
    checkBox8->setText( tr2i18n( "CRT - Cathode Ra&y Tube" ) );
    checkBox10->setText( tr2i18n( "LCD - Li&quid Crystal Display" ) );
    checkBox9->setText( tr2i18n( "&TV - Television" ) );
    groupBox3->setTitle( tr2i18n( "Rotation" ) );
    radioButton2->setText( tr2i18n( "Counterclockwise" ) );
    radioButton1->setText( tr2i18n( "Clockwise" ) );
    groupBox2->setTitle( tr2i18n( "General" ) );
    checkBox3->setText( tr2i18n( "&Force hardware cursor" ) );
    checkBox4->setText( tr2i18n( "Force software cursor" ) );
    checkBox5->setText( tr2i18n( "Use shadow fra&mebuffer" ) );
    checkBox2->setText( tr2i18n( "Disab&le acceleration" ) );
    checkBox6->setText( tr2i18n( "Override the VideoRAM auto detection" ) );
    checkBox11->setText( tr2i18n( "LCD Dual Edge Mode" ) );
    checkBox7->setText( tr2i18n( "&Image centering on DVI" ) );
    checkBox15->setText( tr2i18n( "Set DRI Xinerama mode - unsupported" ) );
    checkBox14->setText( tr2i18n( "Disable VQ" ) );
    checkBox17->setText( tr2i18n( "No A&GP for 2D acceleration" ) );
    checkBox16->setText( tr2i18n( "Enable t&he AGP DMA functionality in DRM" ) );
    checkBox18->setText( tr2i18n( "Set modes &using BIOS" ) );
    groupBox4->setTitle( tr2i18n( "LCD Panel size" ) );
    radioButton3->setText( tr2i18n( "&640x480" ) );
    radioButton4->setText( tr2i18n( "&800x600" ) );
    radioButton5->setText( tr2i18n( "&1024x768" ) );
    radioButton6->setText( tr2i18n( "1&280x1024" ) );
    radioButton7->setText( tr2i18n( "1&400x1050" ) );
    groupBox6->setTitle( tr2i18n( "TV Options" ) );
    checkBox13->setText( tr2i18n( "Enable dotcrawl" ) );
    textLabel3->setText( tr2i18n( "TV Deflicker:" ) );
    textLabel3_2->setText( tr2i18n( "TV Type:" ) );
    kComboBox2->clear();
    kComboBox2->insertItem( tr2i18n( "No deflicker" ) );
    kComboBox2->insertItem( tr2i18n( "1:1:1" ) );
    kComboBox2->insertItem( tr2i18n( "1:2:1" ) );
    textLabel3_2_2->setText( tr2i18n( "TV Output:" ) );
    kComboBox2_2->clear();
    kComboBox2_2->insertItem( tr2i18n( "PAL" ) );
    kComboBox2_2->insertItem( tr2i18n( "NTSC" ) );
    kComboBox2_2_2->clear();
    kComboBox2_2_2->insertItem( tr2i18n( "S-Video" ) );
    kComboBox2_2_2->insertItem( tr2i18n( "Composite" ) );
    kComboBox2_2_2->insertItem( tr2i18n( "SC" ) );
    kComboBox2_2_2->insertItem( tr2i18n( "RGB" ) );
    kComboBox2_2_2->insertItem( tr2i18n( "YCbCr" ) );
    okButton->setText( tr2i18n( "OK" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );

}





void nvDriverDialogClass :: setLocale()
{
    setCaption( tr2i18n( "Graphic board options" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    okButton->setText( tr2i18n( "OK" ) );
    groupBox13->setTitle( tr2i18n( "General" ) );
    checkBox18->setText( tr2i18n( "CRTC Nu&mber:" ) );
    checkBox14->setText( tr2i18n( "&Hardware cursor" ) );
    checkBox15->setText( tr2i18n( "Hardware acce&leration" ) );
    checkBox17->setText( tr2i18n( "OS specific framebuffer &interface" ) );
    checkBox23->setText( tr2i18n( "&Shadow framebuffer layer" ) );
    groupBox14->setTitle( tr2i18n( "Force use of Digital Flat Panel" ) );
    checkBox20->setText( tr2i18n( "Flat Panel Resolution Scaling" ) );
    checkBox19->setText( tr2i18n( "Flat Panel Ditherin&g" ) );
    groupBox15->setTitle( tr2i18n( "Rotation" ) );
    radioButton2->setText( tr2i18n( "Co&unterclockwise" ) );
    radioButton1->setText( tr2i18n( "Clockwise" ) );
}





void vesaDialogClass :: setLocale()
{
    setCaption( tr2i18n( "VESA Driver options" ) );
    groupBox43->setTitle( tr2i18n( "General" ) );
    checkBox80->setText( tr2i18n( "Clear the screen on &mode set" ) );
    checkBox80->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    checkBox79->setText( tr2i18n( "Enable use of the shadow &framebuffer layer" ) );
    cancelButton->setText( tr2i18n( "Cance&l" ) );
    okButton->setText( tr2i18n( "OK" ) );
}


QString nvidiaDriverOptionsBigDialog :: locRet(int number)
{
QString toReturn = "(none)";
if (number == 1) { toReturn = i18n("This MetaMode is already on the list."); }
if (number == 2) { toReturn = i18n("Insert output device to ignore."); }
if (number == 3) { toReturn = i18n("Output device:"); }
if (number == 4) { toReturn = i18n("You can't insert any more items."); }
return toReturn;
}

QString kxMain :: locRet(int number)
{
QString toReturn = "(none)";
if (number == 1) { toReturn = i18n("Add module"); }
if (number == 2) { toReturn = i18n("Enter new module name:"); }
if (number == 3) { toReturn = i18n("Change server layout name:"); }
if (number == 4) { toReturn = i18n("Enter new name for %1:").arg(listBox16->text(listBox16->currentItem())); }
if (number == 5) { toReturn = i18n("Add new screen"); }
if (number == 6) { toReturn = i18n("Select screen to add:"); }
if (number == 7) { toReturn = i18n("This screen is already on list."); }
if (number == 8) { toReturn = i18n("Add new pointer"); }
if (number == 9) { toReturn = i18n("Select pointer to add:"); }
if (number == 10) { toReturn = i18n("This pointer is already on list."); }
if (number == 11) { toReturn = i18n("Add new keyboard"); }
if (number == 12) { toReturn = i18n("Select keyboard to add:"); }
if (number == 13) { toReturn = i18n("This keyboard is already on list."); }
if (number == 14) { toReturn = i18n("Properties dialog for driver %1 is not implemented yet.").arg(comboBox6->text(comboBox6->currentItem()).section(" - ", 0, 0)); }
if (number == 15) { toReturn = i18n("Properties dialog for driver %1 is not implemented yet.").arg(comboBox3->text(comboBox3->currentItem()).section(" - ", 0, 0)); }
if (number == 16) { toReturn = i18n("Properties dialog for driver %1 is not implemented yet.").arg(videoComboBox->text(videoComboBox->currentItem()).section(" - ", 0, 0)); }
if (number == 17) { toReturn = i18n(" entry"); }
if (number == 18) { toReturn = i18n(" entries"); }
if (number == 19) { toReturn = i18n("There must be at least one Device entry."); }
if (number == 20) { toReturn = i18n("There must be at least one Monitor entry."); }
if (number == 21) { toReturn = i18n("There must be at least one ServerLayout entry."); }
if (number == 22) { toReturn = i18n("Module is already on list!"); }
if (number == 23) { toReturn = i18n("1 entry"); }
if (number == 24) { toReturn = i18n("There must be at least one Pointer entry."); }
if (number == 25) { toReturn = i18n("There must be at least one Keyboard entry."); }
if (number == 26) { toReturn = i18n("This mode is already on list."); }
if (number == 27) { toReturn = i18n("This depth is already on list."); }
if (number == 28) { toReturn = i18n("There must be at least one Screen entry."); }
if (number == 29) { toReturn = i18n("There are no configuration options for this driver."); }




return toReturn;
}

void kxMain :: setLocale()						//OK
{
    setCaption( tr2i18n( "KDE X Server Configuration" ) );
    generateButton->setText( tr2i18n( "Save" ) );
    AboutButton->setText( tr2i18n( "About" ) );
    QuitButton->setText( tr2i18n( "&Quit" ) );
    resetButton->setText( tr2i18n( "Reset" ) );
    debugButton->setText( tr2i18n( "Debug &information" ) );
    groupBox15->setTitle( tr2i18n( "Extensions" ) );
    checkBox4_2->setText( tr2i18n( "Composite" ) );
    checkBox8->setText( tr2i18n( "&Xinerama" ) );
    ServerFlagsContainer->setTitle( tr2i18n( "Server Flags" ) );
    DefaultServerLayoutContainer->setTitle( tr2i18n( "Default Server Layout" ) );
    checkBox5->setText( tr2i18n( "Disable Ctrl+Alt+S&hift+Backspace" ) );
    QToolTip::add( checkBox5, tr2i18n( "<b>Option \"DontZap\" \"boolean\"</b><br>This disallows the use of the Ctrl+Alt+Backspace sequence. That sequence is normally used to terminate the Xorg server. When this option is enabled, that key sequence has no special meaning and is passed to clients. Default: off." ) );
    checkBox6->setText( tr2i18n( "Disable &zooming" ) );
    QToolTip::add( checkBox6, tr2i18n( "<b>Option \"DontZoom\" \"boolean\"</b><br>This disallows the use of the Ctrl+Alt+Keypad-Plus and Ctrl+Alt+Keypad-Minus sequences. These sequences allows you to switch between video modes. When this option is enabled, those key sequences have no special meaning and are passed to clients. Default: off." ) );
    checkBox11->setText( tr2i18n( "Allow Closedown Grabs" ) );
    QToolTip::add( checkBox11, tr2i18n( "<b>Option \"AllowClosedownGrabs\" \"boolean\"</b><br>This option enables the use of the Ctrl+Alt+Keypad-Multiply key sequence to kill clients with an active keyboard or mouse grab as well as killing any application that may have locked the server, normally using the XGrabServer(3x) Xlib function. Default: off. \n"
" Note that the options AllowDeactivateGrabs and AllowClosedownGrabs will allow users to remove the grab used by screen saver/locker programs. An API was written to such cases. If you enable this option, make sure your screen saver/locker is updated." ) );
    checkBox10->setText( tr2i18n( "Allow Deactivate Grabs" ) );
    QToolTip::add( checkBox10, tr2i18n( "<b>Option \"AllowDeactivateGrabs\" \"boolean\"</b><br>This option enables the use of the Ctrl+Alt+Keypad-Divide key sequence to deactivate any active keyboard and mouse grabs. Default: off." ) );
    checkBox12->setText( tr2i18n( "No Trap Signals" ) );
    QToolTip::add( checkBox12, tr2i18n( "<b>Option \"NoTrapSignals\" \"boolean\"</b><br>This prevents the Xorg server from trapping a range of unexpected fatal signals and exiting cleanly. Instead, the Xorg server will die and drop core where the fault occurred. The default behaviour is for the Xorg server to exit cleanly, but still drop a core file. In general you never want to use this option unless you are debugging an Xorg server problem and know how to deal with the consequences." ) );
    checkBox13->setText( tr2i18n( "Start even if mouse not initialized" ) );
    QToolTip::add( checkBox13, tr2i18n( "<b>Option \"AllowMouseOpenFail\" \"boolean\"</b><br>This allows the server to start up even if the mouse device can't be opened/initialised. Default: false." ) );
    checkBox14->setText( tr2i18n( "PC&98 Machine" ) );
    QToolTip::add( checkBox14, tr2i18n( "<b>Option \"PC98\" \"boolean\"</b><br>Specify that the machine is a Japanese PC-98 machine. This should not be enabled for anything other than the Japanese-specific PC-98 architecture. Default: auto-detected." ) );
    checkBox15->setText( tr2i18n( "Disable power management support" ) );
    QToolTip::add( checkBox15, tr2i18n( "<b>Option \"NoPM\" \"boolean\"</b><br>Disables something to do with power management events. Default: PM enabled on platforms that support it." ) );
    checkBox9->setText( tr2i18n( "Disable Ctrl+Alt+Fn screen switching" ) );
    QToolTip::add( checkBox9, tr2i18n( "<b>Option \"DontVTSwitch\" \"boolean\"</b><br>This disallows the use of the Ctrl+Alt+Fn sequence (where Fn refers to one of the numbered function keys). That sequence is normally used to switch to another \"virtual terminal\" on operating systems that have this feature. When this option is enabled, that key sequence has no special meaning and is passed to clients. Default: off." ) );
    GlobalDpmsButton->setText( tr2i18n( "DPMS" ) );
    advancedGlobalFlagsButton->setText( tr2i18n( "Advanced" ) );
    groupBox13->setTitle( tr2i18n( "Modules" ) );
    addModuleToComboButton->setText( tr2i18n( "Add" ) );
    addModuleToListButton->setText( tr2i18n( "Add to list" ) );
    removeModuleFromListButton->setText( tr2i18n( "Remove selected" ) );
    textLabel2->setText( tr2i18n( "Current modules:" ) );
    textLabel1->setText( tr2i18n( "Choose a module to add:" ) );
    tabWidget2->changeTab( GenTab, tr2i18n( "&General" ) );
    addServerLayoutButton->setText( tr2i18n( "Add" ) );
    addSrvLayScreenButton->setText( tr2i18n( "Add" ) );
    removeSrvLayScreenButton->setText( tr2i18n( "Remove" ) );
    pushButton49->setText( tr2i18n( "Core pointers" ) );
    addSrvLayMouseButton->setText( tr2i18n( "Add" ) );
    removeSrvLayMouseButton->setText( tr2i18n( "Remove" ) );
    addSrvLayKeyboardButton->setText( tr2i18n( "Add" ) );
    removeSrvLayKeyboardButton->setText( tr2i18n( "Remove" ) );
    groupBox81->setTitle( tr2i18n( "Server Flags" ) );
    SrvFlag3->setText( tr2i18n( "Disable Ctrl+Alt+Fn screen switching" ) );
    SrvFlag6->setText( tr2i18n( "No Trap Signals" ) );
    SrvFlag7->setText( tr2i18n( "Start even if mouse not initialized" ) );
    SrvFlag8->setText( tr2i18n( "PC&98 Machine" ) );
    SrvFlag9->setText( tr2i18n( "Disable power management support" ) );
    SrvFlag2->setText( tr2i18n( "Disable &zooming" ) );
    SrvFlag4->setText( tr2i18n( "Allow Deactivate Grabs" ) );
    SrvFlag5->setText( tr2i18n( "Allow Closedown Grabs" ) );
    SrvFlag1->setText( tr2i18n( "Disable Ctrl+Alt+S&hift+Backspace" ) );
    pushButton46_2->setText( tr2i18n( "DPMS" ) );
    pushButton160->setText( tr2i18n( "Advanced" ) );
    kSqueezedTextLabel2->setText( tr2i18n( "Server Layout" ) );
    kSqueezedTextLabel3->setText( tr2i18n( "Screen" ) );
    kSqueezedTextLabel4->setText( tr2i18n( "Pointer" ) );
    kSqueezedTextLabel5->setText( tr2i18n( "Keyboard" ) );
    removeServerLayoutButton->setText( tr2i18n( "Remove" ) );
    tabWidget2->changeTab( SrvLayTab, tr2i18n( "Server La&yout" ) );
    fontsGroupBox->setTitle( tr2i18n( "Custom font path" ) );
    addFontDirButton->setText( tr2i18n( "Add..." ) );
    removeFontDirButton->setText( tr2i18n( "Remove" ) );
    modulesPathGroupBox->setTitle( tr2i18n( "Custom modules path" ) );
    addModulesDirButton->setText( tr2i18n( "Add..." ) );
    removeModulesDirButton->setText( tr2i18n( "Remove" ) );
    rgbGroupBox->setTitle( tr2i18n( "Custom RGB path" ) );
    kSqueezedTextLabel95->setText( tr2i18n( "Path:" ) );
    tabWidget2->changeTab( FilesTab, tr2i18n( "&Files" ) );
    groupBox7->setTitle( tr2i18n( "Pointer" ) );
    checkBox4->setText( tr2i18n( "&Use default" ) );
    kSqueezedTextLabel6->setText( tr2i18n( "Driver:" ) );
    kSqueezedTextLabel7->setText( tr2i18n( "Identifier:" ) );
    comboBox3->clear();
    comboBox3->insertItem( tr2i18n( "mouse - Mouse input driver" ) );
    comboBox3->insertItem( tr2i18n( "penmount - PenMount input driver" ) );
    comboBox3->insertItem( tr2i18n( "mutouch - Microtouch input driver" ) );
    comboBox3->insertItem( tr2i18n( "tek4957 - Tektronix 4957 input driver" ) );
    comboBox3->insertItem( tr2i18n( "void - null input driver" ) );
    comboBox3->insertItem( tr2i18n( "aiptek - Aiptek USB Digital Tablet driver" ) );
    comboBox3->insertItem( tr2i18n( "dmc - DMC input driver" ) );
    comboBox3->insertItem( tr2i18n( "dynapro - Dynapro input driver" ) );
    comboBox3->insertItem( tr2i18n( "elographics - Elographics input driver" ) );
    comboBox3->insertItem( tr2i18n( "fpit - Fujitsu Stylistic input driver" ) );
    comboBox3->insertItem( tr2i18n( "js_x - JamStudio input driver" ) );
    comboBox3->insertItem( tr2i18n( "wacom - Wacom input driver" ) );
    deviceLabel->setText( tr2i18n( "Device:" ) );
    textLabel3_3->setText( tr2i18n( "0 entries" ) );
    addPointerButton->setText( tr2i18n( "Add" ) );
    removePointerButton->setText( tr2i18n( "Re&move" ) );
    advPointerOptions->setText( tr2i18n( "Advanced options..." ) );
    groupBox8->setTitle( tr2i18n( "Keyboard" ) );
    textLabel4_4->setText( tr2i18n( "0 entries" ) );
    addKeyboardButton->setText( tr2i18n( "Add" ) );
    removeKeyboardButton->setText( tr2i18n( "Remove" ) );
    checkBox40->setText( tr2i18n( "Default" ) );
    kSqueezedTextLabel9->setText( tr2i18n( "Driver:" ) );
    kSqueezedTextLabel10->setText( tr2i18n( "Identifier:" ) );
    kSqueezedTextLabel12->setText( tr2i18n( "Keyboard layout:" ) );
    comboBox9->clear();
    comboBox9->insertItem( tr2i18n( "pc105" ) );
    comboBox9->insertItem( tr2i18n( "pc104" ) );
    comboBox9->insertItem( tr2i18n( "logicordless" ) );
    comboBox9->insertItem( tr2i18n( "macintosh" ) );
    comboBox9->insertItem( tr2i18n( "pc98" ) );
    textLabel11->setText( tr2i18n( "Model:" ) );
    comboBox10->clear();
    comboBox10->insertItem( tr2i18n( "af - Afrikaans" ) );
    comboBox10->insertItem( tr2i18n( "ar - Arabic" ) );
    comboBox10->insertItem( tr2i18n( "bg - Bulgarian" ) );
    comboBox10->insertItem( tr2i18n( "bo - Tibetan" ) );
    comboBox10->insertItem( tr2i18n( "br - Breton" ) );
    comboBox10->insertItem( tr2i18n( "ca - Catalan" ) );
    comboBox10->insertItem( tr2i18n( "cs - Czech" ) );
    comboBox10->insertItem( tr2i18n( "cy - Welsh" ) );
    comboBox10->insertItem( tr2i18n( "da - Danish" ) );
    comboBox10->insertItem( tr2i18n( "de - German" ) );
    comboBox10->insertItem( tr2i18n( "el - Greek" ) );
    comboBox10->insertItem( tr2i18n( "en_GB - English (Great Britain)" ) );
    comboBox10->insertItem( tr2i18n( "en_US - English (United States)" ) );
    comboBox10->insertItem( tr2i18n( "eo - Esperanto" ) );
    comboBox10->insertItem( tr2i18n( "es - Spanish" ) );
    comboBox10->insertItem( tr2i18n( "et - Estonian" ) );
    comboBox10->insertItem( tr2i18n( "eu - Basque" ) );
    comboBox10->insertItem( tr2i18n( "fi - Finnish" ) );
    comboBox10->insertItem( tr2i18n( "fr - French" ) );
    comboBox10->insertItem( tr2i18n( "ga - Irish" ) );
    comboBox10->insertItem( tr2i18n( "gl - Galician" ) );
    comboBox10->insertItem( tr2i18n( "gu - Gujarati" ) );
    comboBox10->insertItem( tr2i18n( "he - Hebrew" ) );
    comboBox10->insertItem( tr2i18n( "hi - Hindi" ) );
    comboBox10->insertItem( tr2i18n( "hu - Hungarian" ) );
    comboBox10->insertItem( tr2i18n( "id - Indonesian" ) );
    comboBox10->insertItem( tr2i18n( "is - Icelandic" ) );
    comboBox10->insertItem( tr2i18n( "it - Italian" ) );
    comboBox10->insertItem( tr2i18n( "ja - Japanese" ) );
    comboBox10->insertItem( tr2i18n( "km - Cambodian" ) );
    comboBox10->insertItem( tr2i18n( "ko - Korean" ) );
    comboBox10->insertItem( tr2i18n( "lt - Lithuanian" ) );
    comboBox10->insertItem( tr2i18n( "lv - Latvian (Lettish)" ) );
    comboBox10->insertItem( tr2i18n( "mi - Maori" ) );
    comboBox10->insertItem( tr2i18n( "mk - Macedonian" ) );
    comboBox10->insertItem( tr2i18n( "mr - Marathi" ) );
    comboBox10->insertItem( tr2i18n( "nl - Dutch" ) );
    comboBox10->insertItem( tr2i18n( "no - Norwegian" ) );
    comboBox10->insertItem( tr2i18n( "oc - Occitan" ) );
    comboBox10->insertItem( tr2i18n( "pl - Polish" ) );
    comboBox10->insertItem( tr2i18n( "pt - Portuguese" ) );
    comboBox10->insertItem( tr2i18n( "ro - Romanian" ) );
    comboBox10->insertItem( tr2i18n( "ru - Russian" ) );
    comboBox10->insertItem( tr2i18n( "sk - Slovak" ) );
    comboBox10->insertItem( tr2i18n( "sl - Slovenian" ) );
    comboBox10->insertItem( tr2i18n( "sr - Serbian" ) );
    comboBox10->insertItem( tr2i18n( "sv - Swedish" ) );
    comboBox10->insertItem( tr2i18n( "ta - Tamil" ) );
    comboBox10->insertItem( tr2i18n( "th - Thai" ) );
    comboBox10->insertItem( tr2i18n( "tr - Turkish" ) );
    comboBox10->insertItem( tr2i18n( "uk - Ukrainian" ) );
    advKeyboardOptionsButton->setText( tr2i18n( "Advanced options..." ) );
    comboBox6->clear();
    comboBox6->insertItem( tr2i18n( "keyboard - Keyboard input driver" ) );
    comboBox6->insertItem( tr2i18n( "kbd - Keyboard input driver" ) );
    tabWidget2->changeTab( InputTab, tr2i18n( "&Pointer && Keyboard" ) );
    groupBox6->setTitle( tr2i18n( "Monitor" ) );
    addMonitorButton->setText( tr2i18n( "Add" ) );
    removeMonitorButton->setText( tr2i18n( "Remove" ) );
    monitorEntriesLabel->setText( tr2i18n( "0 entries" ) );
    kSqueezedTextLabel17->setText( tr2i18n( "Identifier:" ) );
    kSqueezedTextLabel18->setText( tr2i18n( "Model:" ) );
    kSqueezedTextLabel19->setText( tr2i18n( "Vendor:" ) );
    kSqueezedTextLabel20->setText( tr2i18n( "Note: the model and vendor fields are optional." ) );
    checkBox16->setText( tr2i18n( "&Monitor is DPMS compilant" ) );
    refreshRatesButton->setText( tr2i18n( "Refresh rates..." ) );
    gammaButton->setText( tr2i18n( "Gamma values" ) );
    groupBox4->setTitle( tr2i18n( "Graphics card" ) );
    addDeviceButton->setText( tr2i18n( "Add" ) );
    removeDeviceButton->setText( tr2i18n( "Remove" ) );
    videoEntriesLabel->setText( tr2i18n( "0 entries" ) );
    kSqueezedTextLabel16->setText( tr2i18n( "Video device:" ) );
    videoComboBox->clear();
    videoComboBox->insertItem( tr2i18n( "apm - Alliance ProMotion video driver" ) );
    videoComboBox->insertItem( tr2i18n( "chips - Chips and Technologies video driver" ) );
    videoComboBox->insertItem( tr2i18n( "cirrus - Cirrus Logic video driver" ) );
    videoComboBox->insertItem( tr2i18n( "cyrix - Cyrix video driver" ) );
    videoComboBox->insertItem( tr2i18n( "fbdev - video driver for framebuffer device" ) );
    videoComboBox->insertItem( tr2i18n( "glide - Glide video driver" ) );
    videoComboBox->insertItem( tr2i18n( "glint - GLINT/Permedia video driver" ) );
    videoComboBox->insertItem( tr2i18n( "i128 - Number 9 I128 video driver" ) );
    videoComboBox->insertItem( tr2i18n( "i740 - Intel i740 video driver" ) );
    videoComboBox->insertItem( tr2i18n( "i810 - Intel 8xx integrated graphics chipsets" ) );
    videoComboBox->insertItem( tr2i18n( "mga - Matrox video driver" ) );
    videoComboBox->insertItem( tr2i18n( "neomagic - Neomagic video driver" ) );
    videoComboBox->insertItem( tr2i18n( "newport - Newport video driver" ) );
    videoComboBox->insertItem( tr2i18n( "nsc - Nsc video driver" ) );
    videoComboBox->insertItem( tr2i18n( "nv - NVIDIA video driver" ) );
    videoComboBox->insertItem( tr2i18n( "nvidia - NVidia Accelerated Graphics driver" ) );
    videoComboBox->insertItem( tr2i18n( "palmax - Palmax (TR88L803) touchscreen driver" ) );
    videoComboBox->insertItem( tr2i18n( "r128 - ATI Rage 128 video driver" ) );
    videoComboBox->insertItem( tr2i18n( "radeon - ATI RADEON video driver" ) );
    videoComboBox->insertItem( tr2i18n( "rendition - Rendition video driver" ) );
    videoComboBox->insertItem( tr2i18n( "s3virge - S3 ViRGE video driver" ) );
    videoComboBox->insertItem( tr2i18n( "savage - S3 Savage video driver" ) );
    videoComboBox->insertItem( tr2i18n( "siliconmotion - Silicon Motion video driver" ) );
    videoComboBox->insertItem( tr2i18n( "sis - SiS and XGI video driver" ) );
    videoComboBox->insertItem( tr2i18n( "sisusb - SiS USB video driver" ) );
    videoComboBox->insertItem( tr2i18n( "sunbw2 - BW2 video driver" ) );
    videoComboBox->insertItem( tr2i18n( "suncg14 - CG14 video driver" ) );
    videoComboBox->insertItem( tr2i18n( "suncg3 - CG3 video driver" ) );
    videoComboBox->insertItem( tr2i18n( "suncg6 - GX/Turbo GX video driver" ) );
    videoComboBox->insertItem( tr2i18n( "sunffb - SUNFFB video driver" ) );
    videoComboBox->insertItem( tr2i18n( "sunleo - Leo video driver" ) );
    videoComboBox->insertItem( tr2i18n( "suntcx - TCX video driver" ) );
    videoComboBox->insertItem( tr2i18n( "tdfx - 3Dfx video driver" ) );
    videoComboBox->insertItem( tr2i18n( "trident - Trident video driver" ) );
    videoComboBox->insertItem( tr2i18n( "tseng - Tseng Labs video driver" ) );
    videoComboBox->insertItem( tr2i18n( "vesa - Generic VESA video driver" ) );
    videoComboBox->insertItem( tr2i18n( "vga - Generic VGA video driver" ) );
    videoComboBox->insertItem( tr2i18n( "via - VIA unichrome graphics driver" ) );
    videoComboBox->insertItem( tr2i18n( "vmware - VMware SVGA video driver" ) );
    kSqueezedTextLabel22->setText( tr2i18n( "Identifier:" ) );
    kSqueezedTextLabel23->setText( tr2i18n( "Vendor:" ) );
    kPushButton31->setText( tr2i18n( "Advanced" ) );
    tabWidget2->changeTab( ViewportTab, tr2i18n( "&Videocard && Monitor settings" ) );
    groupBox17->setTitle( tr2i18n( "General options" ) );
    removeScreenButton->setText( tr2i18n( "Re&move" ) );
    QToolTip::add( removeScreenButton, tr2i18n( "Remove current keyboard input device." ) );
    kSqueezedTextLabel26->setText( tr2i18n( "Monitor:" ) );
    kSqueezedTextLabel25->setText( tr2i18n( "Identifier:" ) );
    kSqueezedTextLabel27->setText( tr2i18n( "Device:" ) );
    scrSpinLabel->setText( tr2i18n( "0 entries" ) );
    addScreenButton->setText( tr2i18n( "Add" ) );
    QToolTip::add( addScreenButton, tr2i18n( "Add new keyboard input device." ) );
    groupBox16->setTitle( tr2i18n( "Screen modes" ) );
    kSqueezedTextLabel28->setText( tr2i18n( "Default color depth:" ) );
    kSqueezedTextLabel31->setText( tr2i18n( "Screen mode:" ) );
    kSqueezedTextLabel30->setText( tr2i18n( "Color depth:" ) );
    removeDepthButton->setText( tr2i18n( "Remove selected" ) );
    removeModeButton->setText( tr2i18n( "Remove selected" ) );
    depthComboBox->clear();
    depthComboBox->insertItem( tr2i18n( "8 bpp" ) );
    depthComboBox->insertItem( tr2i18n( "16 bpp" ) );
    depthComboBox->insertItem( tr2i18n( "24 bpp" ) );
    depthComboBox->insertItem( tr2i18n( "32 bpp" ) );
    modeComboBox->clear();
    modeComboBox->insertItem( tr2i18n( "320x200" ) );
    modeComboBox->insertItem( tr2i18n( "320x240" ) );
    modeComboBox->insertItem( tr2i18n( "400x300" ) );
    modeComboBox->insertItem( tr2i18n( "512x384" ) );
    modeComboBox->insertItem( tr2i18n( "640x400" ) );
    modeComboBox->insertItem( tr2i18n( "640x480" ) );
    modeComboBox->insertItem( tr2i18n( "800x600" ) );
    modeComboBox->insertItem( tr2i18n( "1024x768" ) );
    modeComboBox->insertItem( tr2i18n( "1152x864" ) );
    modeComboBox->insertItem( tr2i18n( "1280x960" ) );
    modeComboBox->insertItem( tr2i18n( "1280x1024" ) );
    modeComboBox->insertItem( tr2i18n( "1600x1200" ) );
    defaultDepthCombo->clear();
    defaultDepthCombo->insertItem( tr2i18n( "8 bpp" ) );
    defaultDepthCombo->insertItem( tr2i18n( "16 bpp" ) );
    defaultDepthCombo->insertItem( tr2i18n( "24 bpp" ) );
    defaultDepthCombo->insertItem( tr2i18n( "32 bpp" ) );
    addDepthButton->setText( tr2i18n( "Add" ) );
    addModeButton->setText( tr2i18n( "Add" ) );
    tabWidget2->changeTab( ScreenTab, tr2i18n( "&Screen" ) );
    groupBox17_2->setTitle( tr2i18n( "Add custom section" ) );
    commentCheckBox->setText( QString::null );
    kSqueezedTextLabel96->setText( tr2i18n( "Comment:" ) );
    tabWidget2->changeTab( CustomSectionTab, tr2i18n( "Cus&tom section" ) );
    textLabel2_2->setText( QString::null );


}

void advancedServerFlagsClass :: setLocale(int type)			//OK
{
if (type == -1) { setCaption(i18n("General Server Flags settings")); }
if (type > 0) { setCaption(i18n("Server flags setting for layout - " + x->getValue("SerevrLayout", type, "Identifier", 1))); }
checkBox25->setText(i18n("Disable VidMode extension"));
checkBox26->setText(i18n("Allow non-local Xvidtune"));
checkBox27->setText(i18n("No dynamic input device settings"));
checkBox28->setText(i18n("Change input setting from other host"));
checkBox29->setText(i18n("Enable the SYSV-style VT switch sequence"));
checkBox30->setText(i18n("Disable XKeyboard extension"));
checkBox32->setText(i18n("Special keys handling:"));
checkBox31->setText(i18n("Pixmap format:"));

comboBox14->insertItem(i18n("Always"));
comboBox14->insertItem(i18n("Never"));
comboBox14->insertItem(i18n("When needed"));
pushButton47->setText(i18n("OK"));
pushButton48->setText(i18n("Cancel"));
groupBox16->setTitle(i18n("Command to run after VT:"));
textLabel1->setText(i18n("Command:"));
}

void aboutDialogWindow :: setLocale()					//OK
{
    setCaption( tr2i18n( "About kX Generator..." ) );
    textLabel2->setText( tr2i18n( "<b>kX Generator 0.2.6</b>" ) );
    pushButton55->setText( tr2i18n( "Clo&se" ) );
    textLabel3->setText( tr2i18n( "GUI for editing X.org config file.<br>\n"
"<br>\n"
"Support:<br>\n"
"kx.generator@onet.eu" ) );
    Tab->changeTab( AboutTab, tr2i18n( "Abou&t" ) );
    kTextBrowser3->setText( tr2i18n( "<p align=\"center\">For support, bug reporting and requests please feel free to email at<br>\n"
"kx.generator@onet.eu<br>\n"
"<br></p>\n"
"Tomasz Salacinski<br>\n"
"<a href=\"mailto:distortion@vp.pl\">distortion@vp.pl</a><br>\n"
"Programming<br>\n"
"<br>\n"
"Andreas Demmer<br>\n"
"<a href=\"mailto:kx.generator@andreas-demmer.de\">kx.generator@andreas-demmer.de</a><br>\n"
"Logo design<br>\n"
"<br>\n"
"Xavier Corredor Llano<br>\n"
"<a href=\"mailto:xavier.corredor.llano@gmail.com\">xavier.corredor.llano@gmail.com</a><br>\n"
"Icons<br>" ) );
    Tab->changeTab( TabPage, tr2i18n( "Aut&hors" ) );
    kTextBrowser4->setText( tr2i18n( "<p align=\"center\">Currently there are no translations.</p>" ) );
    Tab->changeTab( TabPage_2, tr2i18n( "Translations" ) );
    kTextBrowser2->setText( tr2i18n( "kX Generator<br>\n"
"(c) 2006 by Tomasz Sałaciński<br>\n"
"kx.generator@onet.eu<br>\n"
"<br>\n"
"This program is free software; you can redistribute it and/or modify<br>\n"
"it under the terms of the GNU General Public License as published by<br>\n"
"the Free Software Foundation; either version 2 of the License, or<br>\n"
"(at your option) any later version.<br>\n"
"<br>\n"
"This program is distributed in the hope that it will be useful,<br>\n"
"but WITHOUT ANY WARRANTY; without even the implied warranty of<br>\n"
"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the<br>\n"
"<br>\n"
"GNU General Public License for more details.<br>\n"
"<br>\n"
"You should have received a copy of the GNU General Public License<br>\n"
"along with this program; if not, write to the<br>\n"
"Free Software Foundation, Inc.,<br>\n"
"59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.<br>" ) );
    Tab->changeTab( LicenseTab, tr2i18n( "L&icense" ) );
}

void nvidiaDriverOptionsBigDialog :: setLocale()			//OK
{
    setCaption( tr2i18n( "NVIDIA Accelerated graphics driver properties" ) );
    okButton->setText( tr2i18n( "OK" ) );
    cancelButton->setText( tr2i18n( "Cance&l" ) );
    checkBox25->setText( tr2i18n( "No &logo" ) );
    QToolTip::add( checkBox25, tr2i18n( "        Option \"NoLogo\" \"boolean\"\n"
"                Disable drawing of the NVIDIA logo splash screen at\n"
"                X startup.  Default: the logo is drawn." ) );
    checkBox26->setText( tr2i18n( "&Hardware acceleration of RENDER extension" ) );
    QToolTip::add( checkBox26, tr2i18n( "        Option \"RenderAccel\" \"boolean\"\n"
"                Enable or disable hardware acceleration of the RENDER\n"
"                extension.  THIS OPTION IS EXPERIMENTAL.  ENABLE IT AT YOUR\n"
"                OWN RISK.  There is no correctness test suite for the\n"
"                RENDER extension so NVIDIA can not verify that RENDER\n"
"                acceleration works correctly.   Default: hardware\n"
"                acceleration of the RENDER extension is disabled." ) );
    checkBox27_2->setText( tr2i18n( "Disable RENDER extension" ) );
    QToolTip::add( checkBox27_2, tr2i18n( "        Option \"NoRenderExtension\" \"boolean\"\n"
"                Disable the RENDER extension.  Other than recompiling\n"
"                the X-server, XFree86 doesn't seem to have another way of\n"
"                disabling this.  Fortunatly, we can control this from the\n"
"                driver so we export this option.  This is useful in depth\n"
"                8 where RENDER would normally steal most of the default\n"
"                colormap. Default: RENDER is offered when possible." ) );
    checkBox27->setText( tr2i18n( "&UBB" ) );
    QToolTip::add( checkBox27, tr2i18n( "        Option \"UBB\" \"boolean\"\n"
"                Enable or disable Unified Back Buffer on any Quadro\n"
"                based GPUs (Quadro4 NVS excluded); please see\n"
"                Appendix M for a description of UBB.  This option has\n"
"                no affect on non-Quadro chipsets.  Default: UBB is on\n"
"                for Quadro chipsets." ) );
    checkBox27_3->setText( tr2i18n( "Enable window &flipping" ) );
    QToolTip::add( checkBox27_3, tr2i18n( "        Option \"WindowFlip\" \"boolean\"\n"
"                Enable or disable window flipping when UBB is enabled;\n"
"                please see Appendix M for a description.  This has no\n"
"                affect when UBB is off.  This may improve performance\n"
"                for 3D applications.  Default: Window flipping is off\n"
"                by default even when UBB is enabled." ) );
    checkBox27_3_2->setText( tr2i18n( "Enable page &flipping" ) );
    QToolTip::add( checkBox27_3_2, tr2i18n( "        Option \"PageFlip\" \"boolean\"\n"
"                Enable or disable page flipping; please see Appendix M\n"
"                for a description.  Default: page flipping is enabled." ) );
    checkBox31->setText( tr2i18n( "Dac &8 bit" ) );
    QToolTip::add( checkBox31, tr2i18n( "        Option \"Dac8Bit\" \"boolean\"\n"
"                Most Quadro parts by default use a 10 bit color look\n"
"                up table (LUT) by default; setting this option to TRUE forces\n"
"                these graphics chips to use an 8 bit (LUT).  Default:\n"
"                a 10 bit LUT is used, when available." ) );
    checkBox32->setText( tr2i18n( "Enable RGB workstation overlay visuals." ) );
    QToolTip::add( checkBox32, tr2i18n( "        Option \"Overlay\" \"boolean\"\n"
"                Enables RGB workstation overlay visuals.  This is only\n"
"                supported on Quadro4 and Quadro FX chips (Quadro4 NVS\n"
"                excluded) in depth 24.  This option causes the server to\n"
"                advertise the SERVER_OVERLAY_VISUALS root window property\n"
"                and GLX will report single and double buffered, Z-buffered\n"
"                16 bit overlay visuals.  The transparency key is pixel\n"
"                0x0000 (hex).  There is no gamma correction support in\n"
"                the overlay plane.  This feature requires XFree86 version\n"
"                4.1.0 or newer.  NV17/18 based Quadros (ie. 500/550 XGL)\n"
"                have additional restrictions, namely, overlays are not\n"
"                supported in TwinView mode or with virtual desktops\n"
"                larger than 2046x2047 in any dimension (eg.  it will not\n"
"                work in 2048x1536 modes).  Quadro 7xx/9xx and Quadro FX\n"
"                will offer overlay visuals in these modes (TwinView, or\n"
"                virtual desktops larger than 2046x2047), but the overlay\n"
"                will be emulated with a substantial performance penalty.\n"
"                Default: off." ) );
    checkBox33->setText( tr2i18n( "Enable Color &Index workstation overlay visuals" ) );
    QToolTip::add( checkBox33, tr2i18n( "        Option \"CIOverlay\" \"boolean\"\n"
"                Enables Color Index workstation overlay visuals with\n"
"                identical restrictions to Option \"Overlay\" above.\n"
"                The server will offer visuals both with and without a\n"
"                transparency key.  These are depth 8 PseudoColor visuals.\n"
"                Enabling Color Index overlays on X servers older than\n"
"                XFree86 4.3 will force the RENDER extension to be disabled\n"
"                due to bugs in the RENDER extension in older X servers.\n"
"                Default: off." ) );
    checkBox35->setText( tr2i18n( "Default overlay visual" ) );
    QToolTip::add( checkBox35, tr2i18n( "        Option \"OverlayDefaultVisual\" \"boolean\"\n"
"                When overlays are used, this option sets the default\n"
"                visual to an overlay visual thereby putting the root\n"
"                window in the overlay.  This option is not recommended\n"
"                for RGB overlays.  Default: off." ) );
    checkBox16->setText( tr2i18n( "Disable probing of EDID" ) );
    QToolTip::add( checkBox16, tr2i18n( "        Option \"IgnoreEDID\" \"boolean\"\n"
"                Disable probing of EDID (Extended Display Identification\n"
"                Data) from your monitor.  Requested modes are compared\n"
"                against values gotten from your monitor EDIDs (if any)\n"
"                during mode validation.  Some monitors are known to lie\n"
"                about their own capabilities.  Ignoring the values that\n"
"                the monitor gives may help get a certain mode validated.\n"
"                On the other hand, this may be dangerous if you don't\n"
"                know what you are doing.  Default: Use EDIDs." ) );
    checkBox15->setText( tr2i18n( "Use EDID Fre&quencies" ) );
    QToolTip::add( checkBox15, tr2i18n( "        Option \"UseEdidFreqs\" \"boolean\"\n"
"                This option causes the X server to use the HorizSync\n"
"                and VertRefresh ranges given in a display device's EDID,\n"
"                if any.  EDID provided range information will override\n"
"                the HorizSync and VertRefresh ranges specified in the\n"
"                Monitor section.  If a display device does not provide an\n"
"                EDID, or the EDID doesn't specify an hsync or vrefresh\n"
"                range, then the X server will default to the HorizSync\n"
"                and VertRefresh ranges specified in the Monitor section." ) );
    groupBox10->setTitle( tr2i18n( "Stereo (only Quadro chipsets)" ) );
    kComboBox7DDC_Glasses->clear();
    kComboBox7DDC_Glasses->insertItem( tr2i18n( "DDC Glasses" ) );
    kComboBox7DDC_Glasses->insertItem( tr2i18n( "Blueline Glasses" ) );
    kComboBox7DDC_Glasses->insertItem( tr2i18n( "Onboard stereo support" ) );
    kComboBox7DDC_Glasses->insertItem( tr2i18n( "TwinView clone mode stereo (\"passive\" stereo)" ) );
    groupBox18->setTitle( tr2i18n( "Custom AGP settings" ) );
    kComboBox14->clear();
    kComboBox14->insertItem( tr2i18n( "Disable AGP" ) );
    kComboBox14->insertItem( tr2i18n( "Use NVIDIA's internal AGP support if possible" ) );
    kComboBox14->insertItem( tr2i18n( "Use AGPGART if possible" ) );
    kComboBox14->insertItem( tr2i18n( "Use any AGP support (try AGPGART, then NVIDIA's AGP)" ) );
    groupBox17->setTitle( tr2i18n( "Digital vibrance" ) );
    QToolTip::add( groupBox17, tr2i18n( "        Option \"DigitalVibrance\" \"integer\"\n"
"                Enables Digital Vibrance Control.  The range of valid\n"
"                values are 0 through 255.  This feature is not available\n"
"                on products older than GeForce2.  Default: 0." ) );
    kSqueezedTextLabel35->setText( tr2i18n( "Digital vibrance:" ) );
    tabWidget6->changeTab( GeneralTab, tr2i18n( "&General Options" ) );
    groupBox19->setTitle( tr2i18n( "Enable TwinView" ) );
    groupBox59->setTitle( tr2i18n( "Connected monitors" ) );
    kSqueezedTextLabel128->setText( tr2i18n( "Monitor 1:" ) );
    kSqueezedTextLabel128_2->setText( tr2i18n( "Monitor 2:" ) );
    kComboBox46->clear();
    kComboBox46->insertItem( tr2i18n( "CRT - Cathode Ray Tube" ) );
    kComboBox46->insertItem( tr2i18n( "DFP - Digital Flat Panel" ) );
    kComboBox46->insertItem( tr2i18n( "TV - Television" ) );
    kComboBox46_2->clear();
    kComboBox46_2->insertItem( tr2i18n( "CRT - Cathode Ray Tube" ) );
    kComboBox46_2->insertItem( tr2i18n( "DFP - Digital Flat Panel" ) );
    kComboBox46_2->insertItem( tr2i18n( "TV - Television" ) );
    groupBox21->setTitle( tr2i18n( "2nd monitor refresh rates" ) );
    kSqueezedTextLabel42->setText( tr2i18n( "Horizontal sync:" ) );
    kSqueezedTextLabel42_2->setText( tr2i18n( "Vertical refresh:" ) );
    kSqueezedTextLabel43_2->setText( tr2i18n( "kHz" ) );
    kSqueezedTextLabel43->setText( tr2i18n( "kHz /" ) );
    kSqueezedTextLabel43_3->setText( tr2i18n( "Hz /" ) );
    kSqueezedTextLabel43_2_2->setText( tr2i18n( "Hz" ) );
    groupBox22->setTitle( tr2i18n( "MetaModes" ) );
    kSqueezedTextLabel126_2->setText( tr2i18n( "Display 2" ) );
    kSqueezedTextLabel126->setText( tr2i18n( "Display 1" ) );
    checkBox40->setText( tr2i18n( "Twin&View orientation:" ) );
    kComboBox15y->clear();
    kComboBox15y->insertItem( tr2i18n( "RightOf" ) );
    kComboBox15y->insertItem( tr2i18n( "LeftOf" ) );
    kComboBox15y->insertItem( tr2i18n( "Above" ) );
    kComboBox15y->insertItem( tr2i18n( "Below" ) );
    kComboBox15y->insertItem( tr2i18n( "Clone" ) );
    tabWidget6->changeTab( TwinViewTab, tr2i18n( "&TwinView Options" ) );
    checkBox37->setText( tr2i18n( "&Force hardware cursor" ) );
    checkBox38->setText( tr2i18n( "Force software cursor" ) );
    groupBox20->setTitle( tr2i18n( "Cursor shadow" ) );
    kSqueezedTextLabel37->setText( tr2i18n( "Cursor shadow alpha" ) );
    kSqueezedTextLabel37_2->setText( tr2i18n( "Cursor shadow X offset" ) );
    kSqueezedTextLabel37_2_2->setText( tr2i18n( "Cursor shadow Y offset" ) );
    groupBox12->setTitle( tr2i18n( "TV options" ) );
    kComboBox9->clear();
    kComboBox9->insertItem( tr2i18n( "PAL-B" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-D" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-G" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-H" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-I" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-K1" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-M" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-N" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-NC" ) );
    kComboBox9->insertItem( tr2i18n( "NTSC-J" ) );
    kComboBox9->insertItem( tr2i18n( "NTSC-m" ) );
    kComboBox9_2->clear();
    kComboBox9_2->insertItem( tr2i18n( "S-Video" ) );
    kComboBox9_2->insertItem( tr2i18n( "Composite" ) );
    kSqueezedTextLabel21->setText( tr2i18n( "TV standard:" ) );
    kSqueezedTextLabel21_2->setText( tr2i18n( "TV-Out format:" ) );
    kSqueezedTextLabel21_2_2->setText( tr2i18n( "TV Overscan:" ) );
    groupBox13->setTitle( tr2i18n( "DFP Options" ) );
    kSqueezedTextLabel24->setText( tr2i18n( "Scaling:" ) );
    kComboBox11->clear();
    kComboBox11->insertItem( tr2i18n( "Default" ) );
    kComboBox11->insertItem( tr2i18n( "Use flat panel's scaler" ) );
    kComboBox11->insertItem( tr2i18n( "Use NVIDIA scaler" ) );
    kComboBox11->insertItem( tr2i18n( "Center image" ) );
    kComboBox11->insertItem( tr2i18n( "Aspect-scale" ) );
    kComboBox11_2->clear();
    kComboBox11_2->insertItem( tr2i18n( "Default" ) );
    kComboBox11_2->insertItem( tr2i18n( "Enabled" ) );
    kComboBox11_2->insertItem( tr2i18n( "Disabled" ) );
    kSqueezedTextLabel25->setText( tr2i18n( "Dithering:" ) );
    tabWidget6->changeTab( CursorTVDFPTab, tr2i18n( "Cursor, TV && D&FP Options" ) );
    checkBox17->setText( tr2i18n( "No TwinView Xinerama info" ) );
    QToolTip::add( checkBox17, tr2i18n( "        Option \"NoTwinViewXineramaInfo\" \"boolean\"\n"
"                When in TwinView, the NVIDIA X driver normally provides a\n"
"                Xinerama extension that allows X clients (such as window\n"
"                managers) to call XineramaQueryScreens() to discover\n"
"                the current TwinView configuration.  This confuses some\n"
"                window mangers, so this option is provided to disable\n"
"                this behavior.  Default: TwinView Xinerama information\n"
"                is provided." ) );
    checkBox18->setText( tr2i18n( "Use hardware clip ID buffers" ) );
    QToolTip::add( checkBox18, tr2i18n( "        Option \"UseClipIDs\" \"boolean\"\n"
"                This allows usage of hardware clip id buffers to improve\n"
"                rendering performance to drawables that are clipped in a\n"
"                complex way.  This is only supported on Quadro4 and Quadro FX\n"
"                chips when UBB is enabled.  Enabling this sets aside a small\n"
"                amount of video ram for the clip id surfaces, typically less\n"
"                than two megabytes.  Default: Clip id surfaces are not used." ) );
    checkBox19->setText( tr2i18n( "No bandwidth test" ) );
    QToolTip::add( checkBox19, tr2i18n( "        Option \"NoBandWidthTest\" \"boolean\"\n"
"                As part of mode validation, the X driver tests if a\n"
"                given mode fits within the hardware's memory bandwidth\n"
"                constraints.  This option disables this test.  Default:\n"
"                the memory bandwidth test is performed." ) );
    checkBox20->setText( tr2i18n( "Multisample compatibility" ) );
    QToolTip::add( checkBox20, tr2i18n( "        Option \"MultisampleCompatibility\" \"boolean\"\n"
"                Enable or disable the use of separate front and back\n"
"                multisample buffers.  This will consume more memory\n"
"                but is necessary for correct output when rendering to\n"
"                both the front and back buffers of a multisample or\n"
"                FSAA drawable.  This option is necessary for correct\n"
"                operation of SoftImage XSI.  Default: a singlemultisample\n"
"                buffer is shared between the front and back buffers." ) );
    groupBox14->setTitle( tr2i18n( "Ignore display devices" ) );
    kPushButton5->setText( tr2i18n( "Add" ) );
    kPushButton6->setText( tr2i18n( "Remove" ) );
    textLabel1_2->setText( tr2i18n( "This option tells the NVIDIA kernel module to completely\n"
"ignore the indicated classes of display devices when\n"
"checking what display devices are connected." ) );
    tabWidget6->changeTab( OtherTab, tr2i18n( "Other" ) );
}

void DPMSGlobalDialog :: setLocale()					//OK
{
    setCaption( tr2i18n( "Global DPMS Settings" ) );
    groupBox17->setTitle( tr2i18n( "Custom DPMS Settings" ) );
    kSqueezedTextLabel99->setText( tr2i18n( "min" ) );
    kSqueezedTextLabel99_2->setText( tr2i18n( "min" ) );
    kSqueezedTextLabel99_3->setText( tr2i18n( "min" ) );
    kSqueezedTextLabel99_4->setText( tr2i18n( "min" ) );
    kSqueezedTextLabel98->setText( tr2i18n( "Blank time:" ) );
    kSqueezedTextLabel98_2->setText( tr2i18n( "Standby time:" ) );
    kSqueezedTextLabel98_2_2->setText( tr2i18n( "Suspend time:" ) );
    kSqueezedTextLabel98_2_2_2->setText( tr2i18n( "Off time:" ) );
    okButton->setText( tr2i18n( "OK" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    testDPMSButton->setText( tr2i18n( "&Test" ) );
}

void mouseDriverDialog :: setLocale()					//OK
{
    setCaption( tr2i18n( "Mouse driver settings" ) );
    kPushButton5->setText( tr2i18n( "Button mapping" ) );
    groupBox25->setTitle( tr2i18n( "Wheel button emulation" ) );
    textLabel31->setText( tr2i18n( "Wheel inertia (in pixels):" ) );
    textLabel32->setText( tr2i18n( "Timeout (ms):" ) );
    textLabel30->setText( tr2i18n( "Button:" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    okButton->setText( tr2i18n( "OK" ) );
    groupBox20->setTitle( tr2i18n( "Emulate 3 buttons" ) );
    kSqueezedTextLabel36->setText( tr2i18n( "Timeout:" ) );
    kSqueezedTextLabel37->setText( tr2i18n( "ms" ) );
    groupBox23->setTitle( tr2i18n( "Axis flipping" ) );
    textLabel25->setText( tr2i18n( "Cursor motion angle offset clockwise<br>(degrees)" ) );
    checkBox30->setText( tr2i18n( "&Flip X Axis" ) );
    checkBox31->setText( tr2i18n( "Flip &Y Axis" ) );
    groupBox24->setTitle( tr2i18n( "General" ) );
    textLabel20->setText( tr2i18n( "Protocol:" ) );
    textLabel21->setText( tr2i18n( "Number of buttons:" ) );
    textLabel28->setText( tr2i18n( "Resolution:" ) );
    textLabel26->setText( tr2i18n( "Baud rate:" ) );
    textLabel27->setText( tr2i18n( "Sample rate:" ) );
    checkBox12->setText( tr2i18n( "Clear RTS" ) );
    checkBox11->setText( tr2i18n( "Clear DTR" ) );
    checkBox35->setText( tr2i18n( "&Middle button sends L+R button event" ) );
    checkBox33->setText( tr2i18n( "A&utodetect" ) );
    checkBox34->setText( tr2i18n( "Au&todetect" ) );
    textLabel3->setText( QString::null );
}

void kbdOptionsDialog :: setLocale()					//OK
{
    setCaption( tr2i18n( "Keyboard driver options" ) );
    kSqueezedTextLabel174->setText( tr2i18n( "Device:" ) );
    checkBox51->setText( tr2i18n( "De&fault" ) );
    checkBox135->setText( tr2i18n( "Protocol:" ) );
    groupBox50->setTitle( tr2i18n( "Auto Repeat" ) );
    kSqueezedTextLabel176->setText( tr2i18n( "Repeat rate:" ) );
    kSqueezedTextLabel175->setText( tr2i18n( "Delay before repeating (ms):" ) );
    okButton->setText( tr2i18n( "OK" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    textLabel1->setText( QString::null );
}

void GammaDialogClass :: setLocale()
{
    setCaption( tr2i18n( "X Server Gamma options" ) );
    textLabel1->setText( tr2i18n( "Note: These are NOT KDE gamma settings. They will apply on the whole X Server (and desktop managers such as GNOME). Needs restart." ) );
    gammaGroupBox->setTitle( tr2i18n( "Use own gamma values" ) );
    textLabel1_2->setText( tr2i18n( "Value:" ) );
    groupBox29->setTitle( tr2i18n( "Color tweaks" ) );
    textLabel5->setText( tr2i18n( "B" ) );
    textLabel4->setText( tr2i18n( "G" ) );
    textLabel3->setText( tr2i18n( "R" ) );
    textLabel2->setText( tr2i18n( "Gamma" ) );
    pushButton57->setText( tr2i18n( "Cance&l" ) );
    pushButton56->setText( tr2i18n( "OK" ) );
    pushButton58->setText( tr2i18n( "Rese&t" ) );
}



QString wacomDrvDialogClass :: locRet(int number)
{
QString toRet = "";
if (number == 1) { toRet = i18n("Device path is required!"); }
return toRet;
}

void wacomDrvDialogClass :: setLocale()
{
    setCaption( tr2i18n( "Tablet driver settings" ) );
    groupBox17->setTitle( tr2i18n( "Options" ) );
    textLabel8->setText( tr2i18n( "Thereshold:" ) );
    textLabel7->setText( tr2i18n( "Serial number:" ) );
    textLabel6->setText( tr2i18n( "History size:" ) );
    checkBox9->setText( tr2i18n( "T&ilt" ) );
    checkBox10->setText( tr2i18n( "Alwa&ys core" ) );
    checkBox7->setText( tr2i18n( "&USB" ) );
    okButton->setText( tr2i18n( "OK" ) );
    groupBox16->setTitle( tr2i18n( "Coordinates" ) );
    textLabel5_2->setText( tr2i18n( "Top Y" ) );
    textLabel5_2_2->setText( tr2i18n( "Bottom X" ) );
    textLabel5->setText( tr2i18n( "Top X" ) );
    textLabel5_2_2_2->setText( tr2i18n( "Bottom Y" ) );
    checkBox8->setText( tr2i18n( "Keep s&hape" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    groupBox15->setTitle( tr2i18n( "General" ) );
    textLabel4->setText( tr2i18n( "Device path:" ) );
    textLabel9->setText( tr2i18n( "Baud rate:" ) );
    textLabel10->setText( tr2i18n( "Mode:" ) );
    textLabel12->setText( tr2i18n( "Debug level:" ) );
    textLabel3->setText( tr2i18n( "Device name:" ) );
    kSqueezedTextLabel1->setText( tr2i18n( "Type:" ) );
    comboBox14->clear();
    comboBox14->insertItem( tr2i18n( "38400" ) );
    comboBox14->insertItem( tr2i18n( "19200" ) );
    comboBox14->insertItem( tr2i18n( "9600 (default)" ) );
    comboBox15->clear();
    comboBox15->insertItem( tr2i18n( "Relative" ) );
    comboBox15->insertItem( tr2i18n( "Absolute" ) );
    comboBox12->clear();
    comboBox12->insertItem( tr2i18n( "Stylus" ) );
    comboBox12->insertItem( tr2i18n( "Eraser" ) );
    comboBox12->insertItem( tr2i18n( "Cursor" ) );
}

void advancedMonitorDialogClass :: setLocale()
{
    setCaption( tr2i18n( "Advanced screen options" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    okButton->setText( tr2i18n( "OK" ) );
    groupBox16->setTitle( tr2i18n( "General options" ) );
    checkBox23->setText( tr2i18n( "Defa&ult framebuffer layout:" ) );
    kComboBox13->clear();
    kComboBox13->insertItem( tr2i18n( "24 bpp" ) );
    kComboBox13->insertItem( tr2i18n( "32 bpp" ) );
    groupBox2->setTitle( tr2i18n( "Bios location" ) );
    checkBox27->setText( tr2i18n( "Disable &MTRR" ) );
    checkBox26->setText( tr2i18n( "Disable Int1&0 module" ) );
    checkBox25->setText( tr2i18n( "Use Int&10 to init primary graphics card" ) );
    checkBox28->setText( tr2i18n( "Disable accelerated rectangular e&xpansion blits from source patterns" ) );
    checkBox29->setText( tr2i18n( "Disable accelerated &fills of a rectangular region with a full-color pattern" ) );
    checkBox30->setText( tr2i18n( "Disable accelerated fills of a trape&zoidal region with a full-color pattern" ) );
    checkBox31->setText( tr2i18n( "Disable accelerated dashed Bresenham line draws" ) );
    checkBox32->setText( tr2i18n( "Disable accelerated dashed line draws between two arbitrary points" ) );
    checkBox33->setText( tr2i18n( "Disable accelerated transfers of full-color rectangular patterns from SYSMEM to VIDMEM" ) );
    checkBox34->setText( tr2i18n( "Disable accelerated fills of a rectangular region with a monochrome pattern" ) );
    checkBox35->setText( tr2i18n( "Disable accelerated fills of a trapezoidal region with a monochrome pattern" ) );
    checkBox36->setText( tr2i18n( "Disable accelerated draws &into pixmaps stored in offscreen video memory" ) );
    checkBox37->setText( tr2i18n( "Disable cachin&g of patterns in offscreen video memory" ) );
    checkBox38->setText( tr2i18n( "Disable accelerated rectangular expansion blits from source patterns stored in SYSMEM" ) );
    checkBox40->setText( tr2i18n( "Disable accelerated &transfers of full-color rectangular patterns from SYSMEM to VIDMEM" ) );
    checkBox41->setText( tr2i18n( "Disable accelerated rectangular expansion blits from source patterns in offscreen VIDMEM" ) );
    checkBox42->setText( tr2i18n( "Disable accelerated copies of rectangular regions from one part of VIDMEM to another" ) );
    checkBox43->setText( tr2i18n( "Disable accelerated solid Bresenham line draws" ) );
    checkBox44->setText( tr2i18n( "Disable accelerated solid-color fills of rectangles" ) );
    checkBox45->setText( tr2i18n( "Disable accelerated solid-color fills of Bresenham trapezoids" ) );
    checkBox46->setText( tr2i18n( "Disable accelerated solid &horizontal and vertical line draws" ) );
    checkBox47->setText( tr2i18n( "Disable accelerated solid &line draws between two arbitrary points" ) );
    checkBox24->setText( tr2i18n( "Disable XAA (X Acceleration Architecture)" ) );
}
