/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "viadriverclass.h"
#include <qradiobutton.h>

viaDriverClass::viaDriverClass(QWidget *parent, const char *name, QString xorgFile, int sectionNum)
    :VIADialog(parent, name)
{
x = new xorgConf();
x->saveXorg(xorgFile);
sectNum = sectionNum;

setLocale();

if (x->checkOption("Device", sectNum, "NoAccel")) { checkBox2->setChecked(TRUE); }
if (x->checkOption("Device", sectNum, "HWCursor")) { checkBox3->setChecked(TRUE); }
if (x->checkOption("Device", sectNum, "SWCursor")) { checkBox4->setChecked(TRUE); }
if (x->checkOption("Device", sectNum, "ShadowFB")) { checkBox5->setChecked(TRUE); }
if (x->checkOption("Device", sectNum, "VideoRAM")) { checkBox6->setChecked(TRUE); }
if (x->checkOption("Device", sectNum, "Center")) { checkBox7->setChecked(TRUE); }
if (x->checkOption("Device", sectNum, "LCDDualEdge")) { checkBox11->setChecked(TRUE); }
if (x->checkOption("Device", sectNum, "TVDotCrawl")) { checkBox13->setChecked(TRUE); }
if (x->checkOption("Device", sectNum, "DisableVQ")) { checkBox14->setChecked(TRUE); }
if (x->checkOption("Device", sectNum, "DRIXINERAMA")) { checkBox15->setChecked(TRUE); }
if (x->checkOption("Device", sectNum, "EnableAGPDMA")) { checkBox16->setChecked(TRUE); }
if (x->checkOption("Device", sectNum, "NoAGPFor2D")) { checkBox17->setChecked(TRUE); }
if (x->checkOption("Device", sectNum, "VBEModes")) { checkBox18->setChecked(TRUE); }

if (x->getOption("Device", sectNum, "PanelSize") != "")
{
groupBox4->setChecked(TRUE);
if (x->getOption("Device", sectNum, "PanelSize") == "640x480") { radioButton3->setChecked(TRUE); }
if (x->getOption("Device", sectNum, "PanelSize") == "800x600") { radioButton4->setChecked(TRUE); radioButton3->setChecked(FALSE); }
if (x->getOption("Device", sectNum, "PanelSize") == "1024x768") { radioButton5->setChecked(TRUE); radioButton3->setChecked(FALSE); }
if (x->getOption("Device", sectNum, "PanelSize") == "1280x1024") { radioButton6->setChecked(TRUE); radioButton3->setChecked(FALSE); }
if (x->getOption("Device", sectNum, "PanelSize") == "1400x1050") { radioButton7->setChecked(TRUE); radioButton3->setChecked(FALSE); }
}

if (x->getOption("Device", sectNum, "ActiveDevice") != "")
{
groupBox5->setChecked(TRUE);
if (x->getOption("Device", sectNum, "ActiveDevice").contains("CRT")) { checkBox8->setChecked(TRUE); }
if (x->getOption("Device", sectNum, "ActiveDevice").contains("LCD")) { checkBox10->setChecked(TRUE); }
if (x->getOption("Device", sectNum, "ActiveDevice").contains("TV")) { checkBox9->setChecked(TRUE); }
}
if (x->getOption("Device", sectNum, "Rotate") != "")
{
groupBox3->setChecked(TRUE);
if (x->getOption("Device", sectNum, "Rotate") == "CW") { radioButton1->setChecked(TRUE); }
if (x->getOption("Device", sectNum, "Rotate") == "CCW") { radioButton1->setChecked(FALSE); radioButton2->setChecked(TRUE); }
}

if (x->checkOption("Device", sectNum, "TVDotCrawl"))
{
groupBox6->setChecked(TRUE);
checkBox13->setChecked(TRUE);
}
if (x->getOption("Device", sectNum, "TVDeflicker") != "")
{
groupBox6->setChecked(TRUE);
if (x->getOption("Device", sectNum, "TVDeflicker") == "0") { kComboBox2->setCurrentItem(0); }
if (x->getOption("Device", sectNum, "TVDeflicker") == "1") { kComboBox2->setCurrentItem(1); }
if (x->getOption("Device", sectNum, "TVDeflicker") == "2") { kComboBox2->setCurrentItem(2); }
}
if (x->getOption("Device", sectNum, "TVType") != "")
{
groupBox6->setChecked(TRUE);
if (x->getOption("Device", sectNum, "TVType") == "PAL") { kComboBox2_2->setCurrentItem(0); }
if (x->getOption("Device", sectNum, "TVType") == "NTSC") { kComboBox2_2->setCurrentItem(1); }
}
if (x->getOption("Device", sectNum, "TVOutput") != "")
{
groupBox6->setChecked(TRUE);
if (x->getOption("Device", sectNum, "TVOutput") == "S-Video") { kComboBox2_2_2->setCurrentItem(0); }
if (x->getOption("Device", sectNum, "TVOutput") == "Composite") { kComboBox2_2_2->setCurrentItem(1); }
if (x->getOption("Device", sectNum, "TVOutput") == "SC") { kComboBox2_2_2->setCurrentItem(2); }
if (x->getOption("Device", sectNum, "TVOutput") == "RGB") { kComboBox2_2_2->setCurrentItem(3); }
if (x->getOption("Device", sectNum, "TVOutput") == "YCbCr") { kComboBox2_2_2->setCurrentItem(4); }
}


}

QString viaDriverClass :: returnXorg()
{
return x->returnConfig();
}


void viaDriverClass::radio1()
{
radioButton1->setChecked(TRUE);
radioButton2->setChecked(FALSE);
}

void viaDriverClass::radio2()
{
radioButton2->setChecked(TRUE);
radioButton1->setChecked(FALSE);
}

void viaDriverClass::radio3()
{
radioButton3->setChecked(TRUE);
radioButton4->setChecked(FALSE);
radioButton5->setChecked(FALSE);
radioButton6->setChecked(FALSE);
radioButton7->setChecked(FALSE);
}

void viaDriverClass::radio4()
{
radioButton4->setChecked(TRUE);
radioButton3->setChecked(FALSE);
radioButton5->setChecked(FALSE);
radioButton6->setChecked(FALSE);
radioButton7->setChecked(FALSE);
}

void viaDriverClass::radio5()
{
radioButton5->setChecked(TRUE);
radioButton3->setChecked(FALSE);
radioButton4->setChecked(FALSE);
radioButton6->setChecked(FALSE);
radioButton7->setChecked(FALSE);
}

void viaDriverClass::radio6()
{
radioButton6->setChecked(TRUE);
radioButton3->setChecked(FALSE);
radioButton4->setChecked(FALSE);
radioButton5->setChecked(FALSE);
radioButton7->setChecked(FALSE);
}

void viaDriverClass::radio7()
{
radioButton7->setChecked(TRUE);
radioButton3->setChecked(FALSE);
radioButton4->setChecked(FALSE);
radioButton5->setChecked(FALSE);
radioButton6->setChecked(FALSE);
}

void viaDriverClass :: accept()
{
QString y = "True";
if (checkBox2->isChecked()) { x->saveOption("Device", sectNum, "NoAccel", 1, y); }
if (!checkBox2->isChecked()) { x->removeOption("Device", sectNum, "NoAccel"); }
if (checkBox3->isChecked()) { x->saveOption("Device", sectNum, "HWCursor", 1, y); }
if (!checkBox3->isChecked()) { x->removeOption("Device", sectNum, "HWCursor"); }
if (checkBox4->isChecked()) { x->saveOption("Device", sectNum, "SWCursor", 1, y); }
if (!checkBox4->isChecked()) { x->removeOption("Device", sectNum, "SWCursor"); }
if (checkBox5->isChecked()) { x->saveOption("Device", sectNum, "ShadowFB", 1, y); }
if (!checkBox5->isChecked()) { x->removeOption("Device", sectNum, "ShadowFB"); }
if (checkBox6->isChecked()) { x->saveOption("Device", sectNum, "VideoRAM", 1, y); }
if (!checkBox6->isChecked()) { x->removeOption("Device", sectNum, "VideoRAM"); }
if (checkBox7->isChecked()) { x->saveOption("Device", sectNum, "Center", 1, y); }
if (!checkBox7->isChecked()) { x->removeOption("Device", sectNum, "Center"); }
if (checkBox11->isChecked()) { x->saveOption("Device", sectNum, "LCDDualEdge", 1, y); }
if (!checkBox11->isChecked()) { x->removeOption("Device", sectNum, "LCDDualEdge"); }
if (checkBox13->isChecked()) { x->saveOption("Device", sectNum, "TVDotCrawl", 1, y); }
if (!checkBox13->isChecked()) { x->removeOption("Device", sectNum, "TVDotCrawl"); }
if (checkBox14->isChecked()) { x->saveOption("Device", sectNum, "DisableVQ", 1, y); }
if (!checkBox14->isChecked()) { x->removeOption("Device", sectNum, "DisableVQ"); }
if (checkBox15->isChecked()) { x->saveOption("Device", sectNum, "DRIXINERAMA", 1, y); }
if (!checkBox15->isChecked()) { x->removeOption("Device", sectNum, "DRIXINERAMA"); }
if (checkBox16->isChecked()) { x->saveOption("Device", sectNum, "EnableAGPDMA", 1, y); }
if (!checkBox16->isChecked()) { x->removeOption("Device", sectNum, "EnableAGPDMA"); }
if (checkBox17->isChecked()) { x->saveOption("Device", sectNum, "NoAGPFor2D", 1, y); }
if (!checkBox17->isChecked()) { x->removeOption("Device", sectNum, "NoAGPFor2D"); }
if (checkBox18->isChecked()) { x->saveOption("Device", sectNum, "VBEModes", 1, y); }
if (!checkBox18->isChecked()) { x->removeOption("Device", sectNum, "VBEModes"); }


if (!groupBox4->isChecked()) { x->removeOption("Device", sectNum, "PanelSize"); }

if (groupBox4->isChecked())
{
if (radioButton3->isChecked()) { x->saveOption("Device", sectNum, "PanelSize", 1, "640x480"); }
if (radioButton4->isChecked()) { x->saveOption("Device", sectNum, "PanelSize", 1, "800x600"); }
if (radioButton5->isChecked()) { x->saveOption("Device", sectNum, "PanelSize", 1, "1024x768"); }
if (radioButton6->isChecked()) { x->saveOption("Device", sectNum, "PanelSize", 1, "1280x1024"); }
if (radioButton7->isChecked()) { x->saveOption("Device", sectNum, "PanelSize", 1, "1400x1050"); }
}

if (!groupBox3->isChecked()) { x->removeOption("Device", sectNum, "Rotate"); }
if (groupBox3->isChecked())
{
if (radioButton1->isChecked()) { x->saveOption("Device", sectNum, "Rotate", 1, "CW"); }
if (radioButton2->isChecked()) { x->saveOption("Device", sectNum, "Rotate", 1, "CCW"); }
}
if (!groupBox6->isChecked())
{
x->removeOption("Device", sectNum, "TVDotCrawl");
x->removeOption("Device", sectNum, "TVDeflicker");
x->removeOption("Device", sectNum, "TVType");
x->removeOption("Device", sectNum, "TVOutput");
}
if (groupBox6->isChecked())
{
if (checkBox13->isChecked()) { x->saveOption("Device", sectNum, "TVDotCrawl", 1, y); }
if (kComboBox2->currentItem() == 0) { x->saveOption("Device", sectNum, "TVDeflicker", 1, "0"); }
if (kComboBox2->currentItem() == 1) { x->saveOption("Device", sectNum, "TVDeflicker", 1, "1"); }
if (kComboBox2->currentItem() == 2) { x->saveOption("Device", sectNum, "TVDeflicker", 1, "2"); }
if (kComboBox2_2->currentItem() == 0) { x->saveOption("Device", sectNum, "TVType", 1, "PAL"); }
if (kComboBox2_2->currentItem() == 1) { x->saveOption("Device", sectNum, "TVType", 1, "NTSC"); }

if (kComboBox2_2_2->currentItem() == 0) { x->saveOption("Device", sectNum, "TVOutput", 1, "S-Video"); }
if (kComboBox2_2_2->currentItem() == 1) { x->saveOption("Device", sectNum, "TVOutput", 1, "Composite"); }
if (kComboBox2_2_2->currentItem() == 2) { x->saveOption("Device", sectNum, "TVOutput", 1, "SC"); }
if (kComboBox2_2_2->currentItem() == 3) { x->saveOption("Device", sectNum, "TVOutput", 1, "RGB"); }
if (kComboBox2_2_2->currentItem() == 4) { x->saveOption("Device", sectNum, "TVOutput", 1, "YCbCr"); }
}

if (groupBox5->isChecked())
{
QString activeDev = "";
if (checkBox8->isChecked()) { activeDev = activeDev.append("CRT|"); }
if (checkBox10->isChecked()) { activeDev = activeDev.append("LCD|"); }
if (checkBox9->isChecked()) { activeDev = activeDev.append("TV|"); }
activeDev.truncate(activeDev.length() - 1);
activeDev = activeDev.replace("|", ", ");
x->saveOption("Device", sectNum, "ActiveDevice", 1, activeDev);

}
if (!groupBox5->isChecked()) { x->removeOption("Device", sectNum, "ActiveDevice"); }

/*




*/







close();
}





#include "viadriverclass.moc"
